---
name: Feature request
about: Suggest a new feature or enhancement.
labels: [enhancement]
---

_Please remove any sensitive information (e.g., passwords, API keys) from your submission.
Please check the relevant boxes and fill in the specific versions or details for the relevant items.
Thank you for taking the time to report this issue. We will respond as soon as possible._

## Context and motivation
Please provide a clear and concise description of the context that is prompting you to request a new feature. What problem are you trying to solve, and how will this feature help you achieve your goals?

## Proposed feature
Describe the feature you would like to add to WarpX in detail. Please include:
- A clear and concise description of the feature
- Any relevant technical requirements or specifications
- How you envision the feature being used

## Alternative solutions
Have you considered any alternative solutions or features that could achieve the same goal? If so, please describe them and explain why you believe the proposed feature is the best solution.

## Additional information
If applicable, please provide any additional information that may be relevant to the feature request, such as:
- Links to existing codes or implementations
- References to relevant publications or research
- Any specific use cases or scenarios where the feature would be particularly useful
