// This script was automatically generated!
// Edit dev/Source/Utils/Physics/write_atomic_data_cpp.py instead!

#ifndef WARPX_UTILS_PHYSICS_IONIZATION_TABLE_H_
#define WARPX_UTILS_PHYSICS_IONIZATION_TABLE_H_

#include <AMReX_REAL.H>

#include <map>
#include <string>

namespace utils::physics
{
    static std::map<std::string, int> const ion_map_ids = {
        {"H", 0},
        {"He", 1},
        {"Li", 2},
        {"Be", 3},
        {"B", 4},
        {"C", 5},
        {"N", 6},
        {"O", 7},
        {"F", 8},
        {"Ne", 9},
        {"Na", 10},
        {"Mg", 11},
        {"Al", 12},
        {"Si", 13},
        {"P", 14},
        {"S", 15},
        {"Cl", 16},
        {"Ar", 17},
        {"K", 18},
        {"Ca", 19},
        {"Sc", 20},
        {"Ti", 21},
        {"V", 22},
        {"Cr", 23},
        {"Mn", 24},
        {"Fe", 25},
        {"Co", 26},
        {"Ni", 27},
        {"Cu", 28},
        {"Zn", 29},
        {"Ga", 30},
        {"Ge", 31},
        {"As", 32},
        {"Se", 33},
        {"Br", 34},
        {"Kr", 35},
        {"Rb", 36},
        {"Sr", 37},
        {"Y", 38},
        {"Zr", 39},
        {"Nb", 40},
        {"Mo", 41},
        {"Tc", 42},
        {"Ru", 43},
        {"Rh", 44},
        {"Pd", 45},
        {"Ag", 46},
        {"Cd", 47},
        {"In", 48},
        {"Sn", 49},
        {"Sb", 50},
        {"Te", 51},
        {"I", 52},
        {"Xe", 53},
        {"Cs", 54},
        {"Ba", 55},
        {"La", 56},
        {"Ce", 57},
        {"Pr", 58},
        {"Nd", 59},
        {"Pm", 60},
        {"Sm", 61},
        {"Eu", 62},
        {"Gd", 63},
        {"Tb", 64},
        {"Dy", 65},
        {"Ho", 66},
        {"Er", 67},
        {"Tm", 68},
        {"Yb", 69},
        {"Lu", 70},
        {"Hf", 71},
        {"Ta", 72},
        {"W", 73},
        {"Re", 74},
        {"Os", 75},
        {"Ir", 76},
        {"Pt", 77},
        {"Au", 78},
        {"Hg", 79},
        {"Tl", 80},
        {"Pb", 81},
        {"Bi", 82},
        {"Po", 83},
        {"At", 84},
        {"Rn", 85},
        {"Fr", 86},
        {"Ra", 87},
        {"Ac", 88},
        {"Th", 89},
        {"Pa", 90},
        {"U", 91},
        {"Np", 92},
        {"Pu", 93},
        {"Am", 94},
        {"Cm", 95},
        {"Bk", 96},
        {"Cf", 97},
        {"Es", 98},
        {"Fm", 99} };

    constexpr int nelements = 100;

    constexpr int ion_atomic_numbers[nelements] = {
        1, 2, 3, 4, 5, 6, 7, 8, 9, 10,
        11, 12, 13, 14, 15, 16, 17, 18, 19, 20,
        21, 22, 23, 24, 25, 26, 27, 28, 29, 30,
        31, 32, 33, 34, 35, 36, 37, 38, 39, 40,
        41, 42, 43, 44, 45, 46, 47, 48, 49, 50,
        51, 52, 53, 54, 55, 56, 57, 58, 59, 60,
        61, 62, 63, 64, 65, 66, 67, 68, 69, 70,
        71, 72, 73, 74, 75, 76, 77, 78, 79, 80,
        81, 82, 83, 84, 85, 86, 87, 88, 89, 90,
        91, 92, 93, 94, 95, 96, 97, 98, 99, 100};

    constexpr int ion_energy_offsets[nelements] = {
        0, 1, 3, 6, 10, 15, 21, 28, 36, 45,
        55, 66, 78, 91, 105, 120, 136, 153, 171, 190,
        210, 231, 253, 276, 300, 325, 351, 378, 406, 435,
        465, 496, 528, 561, 595, 630, 666, 703, 741, 780,
        820, 861, 903, 946, 990, 1035, 1081, 1128, 1176, 1225,
        1275, 1326, 1378, 1431, 1485, 1540, 1596, 1653, 1711, 1770,
        1830, 1891, 1953, 2016, 2080, 2145, 2211, 2278, 2346, 2415,
        2485, 2556, 2628, 2701, 2775, 2850, 2926, 3003, 3081, 3160,
        3240, 3321, 3403, 3486, 3570, 3655, 3741, 3828, 3916, 4005,
        4095, 4186, 4278, 4371, 4465, 4560, 4656, 4753, 4851, 4950};

    constexpr int energies_tab_length = 5050;

    constexpr amrex::Real table_ionization_energies[energies_tab_length]{
        // H
        amrex::Real(13.59843449),
        // He
        amrex::Real(24.58738880), amrex::Real(54.4177650),
        // Li
        amrex::Real(5.39171495), amrex::Real(75.6400964), amrex::Real(122.4543581),
        // Be
        amrex::Real(9.322699), amrex::Real(18.21115), amrex::Real(153.896203),
        amrex::Real(217.7185843),
        // B
        amrex::Real(8.298019), amrex::Real(25.15483), amrex::Real(37.93058),
        amrex::Real(259.3715), amrex::Real(340.226020),
        // C
        amrex::Real(11.2602880), amrex::Real(24.383154), amrex::Real(47.88778),
        amrex::Real(64.49352), amrex::Real(392.090515), amrex::Real(489.993194),
        // N
        amrex::Real(14.53413), amrex::Real(29.60125), amrex::Real(47.4453),
        amrex::Real(77.4735), amrex::Real(97.8901), amrex::Real(552.06732),
        amrex::Real(667.046116),
        // O
        amrex::Real(13.618055), amrex::Real(35.12112), amrex::Real(54.93554),
        amrex::Real(77.41350), amrex::Real(113.8990), amrex::Real(138.1189),
        amrex::Real(739.32682), amrex::Real(871.40988),
        // F
        amrex::Real(17.42282), amrex::Real(34.97081), amrex::Real(62.70798),
        amrex::Real(87.175), amrex::Real(114.249), amrex::Real(157.16311),
        amrex::Real(185.1868), amrex::Real(953.89804), amrex::Real(1103.11747),
        // Ne
        amrex::Real(21.564540), amrex::Real(40.96297), amrex::Real(63.4233),
        amrex::Real(97.1900), amrex::Real(126.247), amrex::Real(157.934),
        amrex::Real(207.271), amrex::Real(239.0970), amrex::Real(1195.80783),
        amrex::Real(1362.19915),
        // Na
        amrex::Real(5.1390769), amrex::Real(47.28636), amrex::Real(71.6200),
        amrex::Real(98.936), amrex::Real(138.404), amrex::Real(172.23),
        amrex::Real(208.504), amrex::Real(264.192), amrex::Real(299.856),
        amrex::Real(1465.13449), amrex::Real(1648.70218),
        // Mg
        amrex::Real(7.646236), amrex::Real(15.035271), amrex::Real(80.1436),
        amrex::Real(109.2654), amrex::Real(141.33), amrex::Real(186.76),
        amrex::Real(225.02), amrex::Real(265.924), amrex::Real(327.99),
        amrex::Real(367.489), amrex::Real(1761.80487), amrex::Real(1962.66365),
        // Al
        amrex::Real(5.985769), amrex::Real(18.82855), amrex::Real(28.447642),
        amrex::Real(119.9924), amrex::Real(153.8252), amrex::Real(190.49),
        amrex::Real(241.76), amrex::Real(284.64), amrex::Real(330.21),
        amrex::Real(398.65), amrex::Real(442.005), amrex::Real(2085.97700),
        amrex::Real(2304.14005),
        // Si
        amrex::Real(8.15168), amrex::Real(16.34585), amrex::Real(33.49300),
        amrex::Real(45.14179), amrex::Real(166.767), amrex::Real(205.279),
        amrex::Real(246.57), amrex::Real(303.59), amrex::Real(351.28),
        amrex::Real(401.38), amrex::Real(476.273), amrex::Real(523.415),
        amrex::Real(2437.65813), amrex::Real(2673.17753),
        // P
        amrex::Real(10.486686), amrex::Real(19.76949), amrex::Real(30.20264),
        amrex::Real(51.44387), amrex::Real(65.02511), amrex::Real(220.430),
        amrex::Real(263.57), amrex::Real(309.60), amrex::Real(372.31),
        amrex::Real(424.40), amrex::Real(479.44), amrex::Real(560.62),
        amrex::Real(611.741), amrex::Real(2816.90876), amrex::Real(3069.8415),
        // S
        amrex::Real(10.36001), amrex::Real(23.33788), amrex::Real(34.86),
        amrex::Real(47.222), amrex::Real(72.5945), amrex::Real(88.0529),
        amrex::Real(280.954), amrex::Real(328.794), amrex::Real(379.84),
        amrex::Real(447.7), amrex::Real(504.55), amrex::Real(564.41),
        amrex::Real(651.96), amrex::Real(706.994), amrex::Real(3223.7807),
        amrex::Real(3494.1879),
        // Cl
        amrex::Real(12.967632), amrex::Real(23.81364), amrex::Real(39.80),
        amrex::Real(53.24), amrex::Real(67.68), amrex::Real(96.94),
        amrex::Real(114.2013), amrex::Real(348.306), amrex::Real(400.851),
        amrex::Real(456.7), amrex::Real(530.0), amrex::Real(591.58),
        amrex::Real(656.30), amrex::Real(750.23), amrex::Real(809.198),
        amrex::Real(3658.3437), amrex::Real(3946.2909),
        // Ar
        amrex::Real(15.7596117), amrex::Real(27.62967), amrex::Real(40.735),
        amrex::Real(59.58), amrex::Real(74.84), amrex::Real(91.290),
        amrex::Real(124.41), amrex::Real(143.4567), amrex::Real(422.60),
        amrex::Real(479.76), amrex::Real(540.4), amrex::Real(619.0),
        amrex::Real(685.5), amrex::Real(755.13), amrex::Real(855.5),
        amrex::Real(918.375), amrex::Real(4120.6656), amrex::Real(4426.2228),
        // K
        amrex::Real(4.34066373), amrex::Real(31.62500), amrex::Real(45.8031),
        amrex::Real(60.917), amrex::Real(82.66), amrex::Real(99.44),
        amrex::Real(117.56), amrex::Real(154.87), amrex::Real(175.8174),
        amrex::Real(503.67), amrex::Real(565.6), amrex::Real(631.1),
        amrex::Real(714.7), amrex::Real(786.3), amrex::Real(860.92),
        amrex::Real(967.7), amrex::Real(1034.542), amrex::Real(4610.87018),
        amrex::Real(4934.04979),
        // Ca
        amrex::Real(6.11315547), amrex::Real(11.871719), amrex::Real(50.91316),
        amrex::Real(67.2732), amrex::Real(84.34), amrex::Real(108.78),
        amrex::Real(127.21), amrex::Real(147.24), amrex::Real(188.54),
        amrex::Real(211.275), amrex::Real(591.60), amrex::Real(658.2),
        amrex::Real(728.6), amrex::Real(817.2), amrex::Real(894.0),
        amrex::Real(973.7), amrex::Real(1086.8), amrex::Real(1157.726),
        amrex::Real(5128.8578), amrex::Real(5469.86358),
        // Sc
        amrex::Real(6.56149), amrex::Real(12.79977), amrex::Real(24.756839),
        amrex::Real(73.4894), amrex::Real(91.95), amrex::Real(110.68),
        amrex::Real(137.99), amrex::Real(158.08), amrex::Real(180.03),
        amrex::Real(225.18), amrex::Real(249.798), amrex::Real(687.36),
        amrex::Real(757.7), amrex::Real(833.2), amrex::Real(926.5),
        amrex::Real(1008.6), amrex::Real(1093.5), amrex::Real(1213.1),
        amrex::Real(1287.957), amrex::Real(5674.9037), amrex::Real(6033.75643),
        // Ti
        amrex::Real(6.828120), amrex::Real(13.5755), amrex::Real(27.49171),
        amrex::Real(43.26717), amrex::Real(99.299), amrex::Real(119.533),
        amrex::Real(140.68), amrex::Real(170.5), amrex::Real(192.1),
        amrex::Real(215.92), amrex::Real(265.07), amrex::Real(291.500),
        amrex::Real(787.67), amrex::Real(864.0), amrex::Real(944.5),
        amrex::Real(1042.5), amrex::Real(1130.2), amrex::Real(1220.3),
        amrex::Real(1346.3), amrex::Real(1425.257), amrex::Real(6249.0226),
        amrex::Real(6625.81023),
        // V
        amrex::Real(6.746187), amrex::Real(14.634), amrex::Real(29.3111),
        amrex::Real(46.709), amrex::Real(65.28165), amrex::Real(128.125),
        amrex::Real(150.72), amrex::Real(173.55), amrex::Real(206.0),
        amrex::Real(230.5), amrex::Real(254.8), amrex::Real(308.5),
        amrex::Real(336.274), amrex::Real(896.0), amrex::Real(977.2),
        amrex::Real(1062.9), amrex::Real(1165.2), amrex::Real(1258.9),
        amrex::Real(1354.2), amrex::Real(1486.7), amrex::Real(1569.656),
        amrex::Real(6851.3109), amrex::Real(7246.12624),
        // Cr
        amrex::Real(6.76651), amrex::Real(16.486305), amrex::Real(30.959),
        amrex::Real(49.16), amrex::Real(69.46), amrex::Real(90.6349),
        amrex::Real(160.29), amrex::Real(184.76), amrex::Real(209.5),
        amrex::Real(244.5), amrex::Real(270.8), amrex::Real(296.7),
        amrex::Real(354.7), amrex::Real(384.163), amrex::Real(1011.6),
        amrex::Real(1097.2), amrex::Real(1188.0), amrex::Real(1294.8),
        amrex::Real(1394.5), amrex::Real(1495.1), amrex::Real(1634.1),
        amrex::Real(1721.183), amrex::Real(7481.8628), amrex::Real(7894.80289),
        // Mn
        amrex::Real(7.4340380), amrex::Real(15.63999), amrex::Real(33.668),
        amrex::Real(51.21), amrex::Real(72.41), amrex::Real(95.604),
        amrex::Real(119.203), amrex::Real(195.5), amrex::Real(221.89),
        amrex::Real(248.6), amrex::Real(286.1), amrex::Real(314.4),
        amrex::Real(343.6), amrex::Real(402.95), amrex::Real(435.172),
        amrex::Real(1133.7), amrex::Real(1224.1), amrex::Real(1320.3),
        amrex::Real(1430.9), amrex::Real(1537.2), amrex::Real(1643.2),
        amrex::Real(1788.7), amrex::Real(1879.873), amrex::Real(8140.7872),
        amrex::Real(8571.95438),
        // Fe
        amrex::Real(7.9024681), amrex::Real(16.19921), amrex::Real(30.651),
        amrex::Real(54.91), amrex::Real(75.00), amrex::Real(98.985),
        amrex::Real(124.9671), amrex::Real(151.060), amrex::Real(233.6),
        amrex::Real(262.10), amrex::Real(290.9), amrex::Real(330.8),
        amrex::Real(361.0), amrex::Real(392.2), amrex::Real(456.2),
        amrex::Real(489.312), amrex::Real(1262.7), amrex::Real(1357.8),
        amrex::Real(1460), amrex::Real(1575.6), amrex::Real(1687.0),
        amrex::Real(1798.4), amrex::Real(1950.4), amrex::Real(2045.759),
        amrex::Real(8828.1879), amrex::Real(9277.6886),
        // Co
        amrex::Real(7.88101), amrex::Real(17.0844), amrex::Real(33.50),
        amrex::Real(51.27), amrex::Real(79.50), amrex::Real(102.00),
        amrex::Real(128.9), amrex::Real(157.8), amrex::Real(186.14),
        amrex::Real(275.4), amrex::Real(305.32), amrex::Real(336.1),
        amrex::Real(378.5), amrex::Real(410.0), amrex::Real(441.1),
        amrex::Real(511.96), amrex::Real(546.588), amrex::Real(1397.2),
        amrex::Real(1504.5), amrex::Real(1606), amrex::Real(1724),
        amrex::Real(1844.0), amrex::Real(1960.8), amrex::Real(2119.4),
        amrex::Real(2218.876), amrex::Real(9544.1833), amrex::Real(10012.1297),
        // Ni
        amrex::Real(7.639878), amrex::Real(18.168838), amrex::Real(35.187),
        amrex::Real(54.92), amrex::Real(76.06), amrex::Real(108.0),
        amrex::Real(132.0), amrex::Real(162.0), amrex::Real(193.2),
        amrex::Real(224.7), amrex::Real(319.5), amrex::Real(351.6),
        amrex::Real(384.5), amrex::Real(429.3), amrex::Real(462.8),
        amrex::Real(495.4), amrex::Real(571.07), amrex::Real(607.020),
        amrex::Real(1540.1), amrex::Real(1646), amrex::Real(1758),
        amrex::Real(1880), amrex::Real(2008.1), amrex::Real(2130.5),
        amrex::Real(2295.6), amrex::Real(2399.259), amrex::Real(10288.8862),
        amrex::Real(10775.3948),
        // Cu
        amrex::Real(7.726380), amrex::Real(20.29239), amrex::Real(36.841),
        amrex::Real(57.38), amrex::Real(79.8), amrex::Real(103.0),
        amrex::Real(139.0), amrex::Real(166.0), amrex::Real(198.0),
        amrex::Real(232.2), amrex::Real(265.33), amrex::Real(367.0),
        amrex::Real(401.0), amrex::Real(436.0), amrex::Real(483.1),
        amrex::Real(518.7), amrex::Real(552.8), amrex::Real(632.5),
        amrex::Real(670.608), amrex::Real(1690.5), amrex::Real(1800),
        amrex::Real(1918), amrex::Real(2044), amrex::Real(2179.4),
        amrex::Real(2307.3), amrex::Real(2479.1), amrex::Real(2586.954),
        amrex::Real(11062.4313), amrex::Real(11567.613),
        // Zn
        amrex::Real(9.394197), amrex::Real(17.96439), amrex::Real(39.72330),
        amrex::Real(59.573), amrex::Real(82.6), amrex::Real(108.0),
        amrex::Real(133.9), amrex::Real(173.9), amrex::Real(203.0),
        amrex::Real(238.0), amrex::Real(274.4), amrex::Real(310.8),
        amrex::Real(417.6), amrex::Real(453.4), amrex::Real(490.6),
        amrex::Real(540.0), amrex::Real(577.8), amrex::Real(613.3),
        amrex::Real(697.5), amrex::Real(737.366), amrex::Real(1846.8),
        amrex::Real(1961), amrex::Real(2085), amrex::Real(2214),
        amrex::Real(2358.0), amrex::Real(2491.5), amrex::Real(2669.9),
        amrex::Real(2781.996), amrex::Real(11864.9399), amrex::Real(12388.9427),
        // Ga
        amrex::Real(5.9993020), amrex::Real(20.51514), amrex::Real(30.72576),
        amrex::Real(63.241), amrex::Real(86.01), amrex::Real(112.7),
        amrex::Real(140.8), amrex::Real(169.9), amrex::Real(211.0),
        amrex::Real(244.0), amrex::Real(280.0), amrex::Real(319.0),
        amrex::Real(356), amrex::Real(471.2), amrex::Real(508.8),
        amrex::Real(548.3), amrex::Real(599.8), amrex::Real(640.0),
        amrex::Real(677), amrex::Real(765.7), amrex::Real(807.308),
        amrex::Real(2010.0), amrex::Real(2129), amrex::Real(2258),
        amrex::Real(2391), amrex::Real(2543.9), amrex::Real(2683.0),
        amrex::Real(2868), amrex::Real(2984.426), amrex::Real(12696.5575),
        amrex::Real(13239.5029),
        // Ge
        amrex::Real(7.899435), amrex::Real(15.934610), amrex::Real(34.0576),
        amrex::Real(45.7155), amrex::Real(90.500), amrex::Real(115.90),
        amrex::Real(144.9), amrex::Real(176.4), amrex::Real(212.5),
        amrex::Real(252.1), amrex::Real(286), amrex::Real(326.0),
        amrex::Real(367), amrex::Real(407), amrex::Real(527.9),
        amrex::Real(567.3), amrex::Real(609.1), amrex::Real(662.8),
        amrex::Real(706.7), amrex::Real(744), amrex::Real(837.1),
        amrex::Real(880.44), amrex::Real(2178.2), amrex::Real(2304),
        amrex::Real(2439), amrex::Real(2575), amrex::Real(2737.1),
        amrex::Real(2881.9), amrex::Real(3074), amrex::Real(3194.293),
        amrex::Real(13557.4208), amrex::Real(14119.4457),
        // As
        amrex::Real(9.78855), amrex::Real(18.5892), amrex::Real(28.349),
        amrex::Real(50.15), amrex::Real(62.77), amrex::Real(121.19),
        amrex::Real(147.0), amrex::Real(180.0), amrex::Real(213.0),
        amrex::Real(247.0), amrex::Real(296.0), amrex::Real(333.0),
        amrex::Real(375), amrex::Real(418), amrex::Real(460),
        amrex::Real(587.6), amrex::Real(628.8), amrex::Real(672.9),
        amrex::Real(728.9), amrex::Real(774.0), amrex::Real(814),
        amrex::Real(911.7), amrex::Real(956.79), amrex::Real(2356.9),
        amrex::Real(2486), amrex::Real(2626), amrex::Real(2766),
        amrex::Real(2938), amrex::Real(3088.1), amrex::Real(3287),
        amrex::Real(3411.643), amrex::Real(14447.678), amrex::Real(15028.9251),
        // Se
        amrex::Real(9.752368), amrex::Real(21.196), amrex::Real(31.697),
        amrex::Real(42.947), amrex::Real(68.30), amrex::Real(81.83),
        amrex::Real(155.327), amrex::Real(184.0), amrex::Real(219.0),
        amrex::Real(255.0), amrex::Real(291.0), amrex::Real(342.9),
        amrex::Real(383), amrex::Real(426), amrex::Real(473),
        amrex::Real(517), amrex::Real(650.5), amrex::Real(693.4),
        amrex::Real(739.8), amrex::Real(798), amrex::Real(845.8),
        amrex::Real(887), amrex::Real(989.6), amrex::Real(1036.36),
        amrex::Real(2540.7), amrex::Real(2674), amrex::Real(2820),
        amrex::Real(2964), amrex::Real(3146), amrex::Real(3301.8),
        amrex::Real(3507), amrex::Real(3636.526), amrex::Real(15367.491),
        amrex::Real(15968.1075),
        // Br
        amrex::Real(11.81381), amrex::Real(21.591), amrex::Real(34.871),
        amrex::Real(47.782), amrex::Real(59.595), amrex::Real(87.390),
        amrex::Real(103.03), amrex::Real(192.61), amrex::Real(224.0),
        amrex::Real(261.0), amrex::Real(301.0), amrex::Real(338.0),
        amrex::Real(393), amrex::Real(436), amrex::Real(481),
        amrex::Real(530), amrex::Real(577), amrex::Real(716.3),
        amrex::Real(761.0), amrex::Real(809.8), amrex::Real(870),
        amrex::Real(920.8), amrex::Real(963), amrex::Real(1070.6),
        amrex::Real(1119.17), amrex::Real(2731.4), amrex::Real(2869),
        amrex::Real(3021), amrex::Real(3169), amrex::Real(3361),
        amrex::Real(3523.1), amrex::Real(3735), amrex::Real(3868.986),
        amrex::Real(16317.011), amrex::Real(16937.1497),
        // Kr
        amrex::Real(13.9996053), amrex::Real(24.35984), amrex::Real(35.838),
        amrex::Real(50.85), amrex::Real(64.69), amrex::Real(78.49),
        amrex::Real(109.13), amrex::Real(125.802), amrex::Real(233.0),
        amrex::Real(268), amrex::Real(308), amrex::Real(350),
        amrex::Real(391), amrex::Real(446), amrex::Real(492),
        amrex::Real(540), amrex::Real(591), amrex::Real(640),
        amrex::Real(785), amrex::Real(831.6), amrex::Real(882.8),
        amrex::Real(945), amrex::Real(999.0), amrex::Real(1042),
        amrex::Real(1155.0), amrex::Real(1205.23), amrex::Real(2928.9),
        amrex::Real(3072), amrex::Real(3228), amrex::Real(3380),
        amrex::Real(3584), amrex::Real(3752.0), amrex::Real(3971),
        amrex::Real(4109.083), amrex::Real(17296.420), amrex::Real(17936.209),
        // Rb
        amrex::Real(4.1771280), amrex::Real(27.28954), amrex::Real(39.247),
        amrex::Real(52.20), amrex::Real(68.44), amrex::Real(82.9),
        amrex::Real(98.67), amrex::Real(132.79), amrex::Real(150.628),
        amrex::Real(277.12), amrex::Real(313.1), amrex::Real(356.0),
        amrex::Real(400), amrex::Real(443), amrex::Real(502),
        amrex::Real(550), amrex::Real(601), amrex::Real(654),
        amrex::Real(706.0), amrex::Real(857), amrex::Real(905.3),
        amrex::Real(958.9), amrex::Real(1024), amrex::Real(1080),
        amrex::Real(1125), amrex::Real(1242.5), amrex::Real(1294.57),
        amrex::Real(3133.3), amrex::Real(3281), amrex::Real(3443),
        amrex::Real(3600), amrex::Real(3815), amrex::Real(3988),
        amrex::Real(4214), amrex::Real(4356.865), amrex::Real(18305.884),
        amrex::Real(18965.516),
        // Sr
        amrex::Real(5.69486745), amrex::Real(11.0302765), amrex::Real(42.88353),
        amrex::Real(56.280), amrex::Real(70.7), amrex::Real(88.0),
        amrex::Real(104.0), amrex::Real(121.21), amrex::Real(158.33),
        amrex::Real(177.30), amrex::Real(324.07), amrex::Real(362.0),
        amrex::Real(408), amrex::Real(454), amrex::Real(499),
        amrex::Real(562), amrex::Real(612), amrex::Real(665),
        amrex::Real(722), amrex::Real(774), amrex::Real(932),
        amrex::Real(982.1), amrex::Real(1038.0), amrex::Real(1105),
        amrex::Real(1165), amrex::Real(1211), amrex::Real(1333.4),
        amrex::Real(1387.19), amrex::Real(3344.7), amrex::Real(3497),
        amrex::Real(3664), amrex::Real(3830), amrex::Real(4053),
        amrex::Real(4232), amrex::Real(4465), amrex::Real(4612.397),
        amrex::Real(19345.588), amrex::Real(20025.2673),
        // Y
        amrex::Real(6.21726), amrex::Real(12.2236), amrex::Real(20.52441),
        amrex::Real(60.6072), amrex::Real(75.35), amrex::Real(91.390),
        amrex::Real(110.02), amrex::Real(128.12), amrex::Real(145.64),
        amrex::Real(185.7), amrex::Real(205.814), amrex::Real(374.04),
        amrex::Real(414), amrex::Real(463), amrex::Real(512),
        amrex::Real(559), amrex::Real(624), amrex::Real(677),
        amrex::Real(733), amrex::Real(790), amrex::Real(847),
        amrex::Real(1010), amrex::Real(1061.9), amrex::Real(1120.2),
        amrex::Real(1190), amrex::Real(1253), amrex::Real(1300),
        amrex::Real(1427.6), amrex::Real(1483.12), amrex::Real(3562.9),
        amrex::Real(3720), amrex::Real(3892), amrex::Real(4060),
        amrex::Real(4299), amrex::Real(4484), amrex::Real(4724),
        amrex::Real(4875.731), amrex::Real(20415.717), amrex::Real(21115.588),
        // Zr
        amrex::Real(6.634126), amrex::Real(13.13), amrex::Real(23.170),
        amrex::Real(34.41836), amrex::Real(80.348), amrex::Real(96.38),
        amrex::Real(112.0), amrex::Real(133.7), amrex::Real(153.0),
        amrex::Real(172.02), amrex::Real(214.9), amrex::Real(236.252),
        amrex::Real(426), amrex::Real(470), amrex::Real(520),
        amrex::Real(573), amrex::Real(622), amrex::Real(690),
        amrex::Real(745), amrex::Real(803), amrex::Real(863),
        amrex::Real(922), amrex::Real(1092), amrex::Real(1144.7),
        amrex::Real(1205.4), amrex::Real(1277), amrex::Real(1344),
        amrex::Real(1392), amrex::Real(1525.1), amrex::Real(1582.37),
        amrex::Real(3788.0), amrex::Real(3950), amrex::Real(4127),
        amrex::Real(4300), amrex::Real(4553), amrex::Real(4744),
        amrex::Real(4991), amrex::Real(5146.935), amrex::Real(21516.469),
        amrex::Real(22236.712),
        // Nb
        amrex::Real(6.75885), amrex::Real(14.32), amrex::Real(25.04),
        amrex::Real(37.611), amrex::Real(50.5728), amrex::Real(102.069),
        amrex::Real(119.1), amrex::Real(136.0), amrex::Real(159.2),
        amrex::Real(180.0), amrex::Real(200.28), amrex::Real(246.1),
        amrex::Real(268.59), amrex::Real(482.5), amrex::Real(530),
        amrex::Real(581), amrex::Real(636), amrex::Real(688),
        amrex::Real(758), amrex::Real(816), amrex::Real(877),
        amrex::Real(940), amrex::Real(1000), amrex::Real(1176),
        amrex::Real(1230.6), amrex::Real(1293.7), amrex::Real(1368),
        amrex::Real(1439), amrex::Real(1488), amrex::Real(1625.9),
        amrex::Real(1684.97), amrex::Real(4020.1), amrex::Real(4187),
        amrex::Real(4369), amrex::Real(4540), amrex::Real(4815),
        amrex::Real(5011), amrex::Real(5265), amrex::Real(5426.066),
        amrex::Real(22648.046), amrex::Real(23388.850),
        // Mo
        amrex::Real(7.09243), amrex::Real(16.16), amrex::Real(27.13),
        amrex::Real(40.33), amrex::Real(54.417), amrex::Real(68.82704),
        amrex::Real(125.638), amrex::Real(143.6), amrex::Real(164.12),
        amrex::Real(186.3), amrex::Real(209.3), amrex::Real(230.28),
        amrex::Real(279.1), amrex::Real(302.60), amrex::Real(544.0),
        amrex::Real(591), amrex::Real(646), amrex::Real(702),
        amrex::Real(758), amrex::Real(829), amrex::Real(890),
        amrex::Real(953), amrex::Real(1019), amrex::Real(1082),
        amrex::Real(1263), amrex::Real(1319.6), amrex::Real(1385.1),
        amrex::Real(1462), amrex::Real(1537), amrex::Real(1587),
        amrex::Real(1730.1), amrex::Real(1790.93), amrex::Real(4259.0),
        amrex::Real(4430), amrex::Real(4618), amrex::Real(4800),
        amrex::Real(5084), amrex::Real(5287), amrex::Real(5548),
        amrex::Real(5713.194), amrex::Real(23810.654), amrex::Real(24572.213),
        // Tc
        amrex::Real(7.11938), amrex::Real(15.26), amrex::Real(29.55),
        amrex::Real(41.0), amrex::Real(57.0), amrex::Real(72.0),
        amrex::Real(88.0), amrex::Real(150.0), amrex::Real(169.0),
        amrex::Real(189.9), amrex::Real(214.0), amrex::Real(239.0),
        amrex::Real(262.08), amrex::Real(311), amrex::Real(338.55),
        amrex::Real(604), amrex::Real(655), amrex::Real(713),
        amrex::Real(773), amrex::Real(829), amrex::Real(904),
        amrex::Real(968), amrex::Real(1032), amrex::Real(1102),
        amrex::Real(1166), amrex::Real(1354), amrex::Real(1411.6),
        amrex::Real(1479.5), amrex::Real(1559), amrex::Real(1638),
        amrex::Real(1689), amrex::Real(1838), amrex::Real(1900.28),
        amrex::Real(4505.0), amrex::Real(4681), amrex::Real(4874),
        amrex::Real(5060), amrex::Real(5361), amrex::Real(5570),
        amrex::Real(5838), amrex::Real(6008.391), amrex::Real(25004.533),
        amrex::Real(25787.047),
        // Ru
        amrex::Real(7.36050), amrex::Real(16.76), amrex::Real(28.47),
        amrex::Real(45.0), amrex::Real(59.0), amrex::Real(76.0),
        amrex::Real(93.0), amrex::Real(110.0), amrex::Real(178.41),
        amrex::Real(198.0), amrex::Real(219.9), amrex::Real(245.0),
        amrex::Real(271), amrex::Real(295.90), amrex::Real(348),
        amrex::Real(376.25), amrex::Real(670), amrex::Real(723),
        amrex::Real(784), amrex::Real(845), amrex::Real(905),
        amrex::Real(981), amrex::Real(1048), amrex::Real(1115),
        amrex::Real(1187), amrex::Real(1253), amrex::Real(1447),
        amrex::Real(1506.7), amrex::Real(1577.0), amrex::Real(1659),
        amrex::Real(1743), amrex::Real(1794), amrex::Real(1949),
        amrex::Real(2013.04), amrex::Real(4758), amrex::Real(4939),
        amrex::Real(5136), amrex::Real(5330), amrex::Real(5647),
        amrex::Real(5861), amrex::Real(6137), amrex::Real(6311.721),
        amrex::Real(26229.895), amrex::Real(27033.564),
        // Rh
        amrex::Real(7.45890), amrex::Real(18.08), amrex::Real(31.06),
        amrex::Real(42.0), amrex::Real(63.0), amrex::Real(80.0),
        amrex::Real(97.0), amrex::Real(115.1), amrex::Real(135.0),
        amrex::Real(207.51), amrex::Real(228.0), amrex::Real(252.1),
        amrex::Real(277), amrex::Real(306), amrex::Real(331.58),
        amrex::Real(389.3), amrex::Real(415.97), amrex::Real(739),
        amrex::Real(794), amrex::Real(857), amrex::Real(921),
        amrex::Real(984), amrex::Real(1061), amrex::Real(1131),
        amrex::Real(1202), amrex::Real(1274), amrex::Real(1344),
        amrex::Real(1544), amrex::Real(1604.9), amrex::Real(1677.6),
        amrex::Real(1763), amrex::Real(1851), amrex::Real(1903),
        amrex::Real(2063), amrex::Real(2129.22), amrex::Real(5018),
        amrex::Real(5203), amrex::Real(5406), amrex::Real(5600),
        amrex::Real(5940), amrex::Real(6161), amrex::Real(6444),
        amrex::Real(6623.262), amrex::Real(27486.983), amrex::Real(28312.031),
        // Pd
        amrex::Real(8.336839), amrex::Real(19.43), amrex::Real(32.93),
        amrex::Real(46.0), amrex::Real(61.0), amrex::Real(84.1),
        amrex::Real(101.0), amrex::Real(120.0), amrex::Real(141.0),
        amrex::Real(159.9), amrex::Real(238.57), amrex::Real(260.0),
        amrex::Real(286), amrex::Real(311), amrex::Real(342),
        amrex::Real(369.10), amrex::Real(427), amrex::Real(457.50),
        amrex::Real(810), amrex::Real(869), amrex::Real(933),
        amrex::Real(1000), amrex::Real(1065), amrex::Real(1145),
        amrex::Real(1218), amrex::Real(1290), amrex::Real(1366),
        amrex::Real(1438), amrex::Real(1644), amrex::Real(1706.2),
        amrex::Real(1781.3), amrex::Real(1869), amrex::Real(1962),
        amrex::Real(2016), amrex::Real(2181), amrex::Real(2248.87),
        amrex::Real(5284), amrex::Real(5475), amrex::Real(5683),
        amrex::Real(5880), amrex::Real(6242), amrex::Real(6469),
        amrex::Real(6759), amrex::Real(6943.097), amrex::Real(28776.034),
        amrex::Real(29622.678),
        // Ag
        amrex::Real(7.576234), amrex::Real(21.4844), amrex::Real(34.8),
        amrex::Real(49.0), amrex::Real(65.0), amrex::Real(82.0),
        amrex::Real(106.0), amrex::Real(125.0), amrex::Real(145.1),
        amrex::Real(167.0), amrex::Real(188.0), amrex::Real(271.46),
        amrex::Real(294), amrex::Real(321), amrex::Real(347),
        amrex::Real(381), amrex::Real(408.43), amrex::Real(469),
        amrex::Real(500.87), amrex::Real(885), amrex::Real(946),
        amrex::Real(1013), amrex::Real(1082), amrex::Real(1149),
        amrex::Real(1231), amrex::Real(1308), amrex::Real(1382),
        amrex::Real(1460), amrex::Real(1535), amrex::Real(1747),
        amrex::Real(1810.5), amrex::Real(1888.0), amrex::Real(1979),
        amrex::Real(2077), amrex::Real(2131), amrex::Real(2302),
        amrex::Real(2371.99), amrex::Real(5558), amrex::Real(5753),
        amrex::Real(5966), amrex::Real(6170), amrex::Real(6551),
        amrex::Real(6785), amrex::Real(7082), amrex::Real(7271.298),
        amrex::Real(30097.318), amrex::Real(30965.780),
        // Cd
        amrex::Real(8.993820), amrex::Real(16.908313), amrex::Real(37.468),
        amrex::Real(51.0), amrex::Real(67.9), amrex::Real(87.0),
        amrex::Real(105.0), amrex::Real(130.1), amrex::Real(150.0),
        amrex::Real(173.0), amrex::Real(195.0), amrex::Real(218.0),
        amrex::Real(305), amrex::Real(329), amrex::Real(358),
        amrex::Real(385), amrex::Real(421), amrex::Real(452.6),
        amrex::Real(513), amrex::Real(546.19), amrex::Real(963),
        amrex::Real(1026), amrex::Real(1095), amrex::Real(1167),
        amrex::Real(1237), amrex::Real(1320), amrex::Real(1401),
        amrex::Real(1477), amrex::Real(1558), amrex::Real(1635),
        amrex::Real(1852), amrex::Real(1917.9), amrex::Real(1998),
        amrex::Real(2091), amrex::Real(2195), amrex::Real(2250),
        amrex::Real(2427), amrex::Real(2498.62), amrex::Real(5839),
        amrex::Real(6039), amrex::Real(6257), amrex::Real(6460),
        amrex::Real(6869), amrex::Real(7109), amrex::Real(7414),
        amrex::Real(7607.95), amrex::Real(31451.062), amrex::Real(32341.587),
        // In
        amrex::Real(5.7863558), amrex::Real(18.87041), amrex::Real(28.04415),
        amrex::Real(55.45), amrex::Real(69.3), amrex::Real(90.0),
        amrex::Real(109.0), amrex::Real(130.1), amrex::Real(156.0),
        amrex::Real(178.0), amrex::Real(201.0), amrex::Real(226.0),
        amrex::Real(249), amrex::Real(341), amrex::Real(368),
        amrex::Real(396), amrex::Real(425), amrex::Real(462),
        amrex::Real(497.1), amrex::Real(560), amrex::Real(593.38),
        amrex::Real(1043), amrex::Real(1109), amrex::Real(1181),
        amrex::Real(1255), amrex::Real(1328), amrex::Real(1413),
        amrex::Real(1496), amrex::Real(1575), amrex::Real(1659),
        amrex::Real(1738), amrex::Real(1961), amrex::Real(2028.5),
        amrex::Real(2111), amrex::Real(2207), amrex::Real(2317),
        amrex::Real(2373), amrex::Real(2555), amrex::Real(2628.77),
        amrex::Real(6126), amrex::Real(6331), amrex::Real(6554),
        amrex::Real(6770), amrex::Real(7196), amrex::Real(7442),
        amrex::Real(7754), amrex::Real(7953.14), amrex::Real(32837.592),
        amrex::Real(33750.404),
        // Sn
        amrex::Real(7.343918), amrex::Real(14.63307), amrex::Real(30.506),
        amrex::Real(40.74), amrex::Real(77.03), amrex::Real(94.0),
        amrex::Real(112.9), amrex::Real(135.0), amrex::Real(156.0),
        amrex::Real(184.0), amrex::Real(208.0), amrex::Real(232.0),
        amrex::Real(258), amrex::Real(282), amrex::Real(379),
        amrex::Real(407), amrex::Real(437), amrex::Real(466),
        amrex::Real(506), amrex::Real(537), amrex::Real(608),
        amrex::Real(642.35), amrex::Real(1127), amrex::Real(1195),
        amrex::Real(1269), amrex::Real(1347), amrex::Real(1421),
        amrex::Real(1508), amrex::Real(1596), amrex::Real(1676),
        amrex::Real(1763), amrex::Real(1844), amrex::Real(2074),
        amrex::Real(2142.1), amrex::Real(2227), amrex::Real(2326),
        amrex::Real(2443), amrex::Real(2499), amrex::Real(2687),
        amrex::Real(2762.49), amrex::Real(6421), amrex::Real(6631),
        amrex::Real(6859), amrex::Real(7080), amrex::Real(7531),
        amrex::Real(7790), amrex::Real(8103), amrex::Real(8306.95),
        amrex::Real(34257.143), amrex::Real(35192.501),
        // Sb
        amrex::Real(8.608389), amrex::Real(16.626), amrex::Real(25.3235),
        amrex::Real(43.804), amrex::Real(55.00), amrex::Real(99.51),
        amrex::Real(117.0), amrex::Real(139.0), amrex::Real(162.0),
        amrex::Real(185.0), amrex::Real(214.0), amrex::Real(238.0),
        amrex::Real(265), amrex::Real(292), amrex::Real(317),
        amrex::Real(420), amrex::Real(447), amrex::Real(479),
        amrex::Real(510), amrex::Real(552), amrex::Real(584),
        amrex::Real(657), amrex::Real(693.26), amrex::Real(1214),
        amrex::Real(1285), amrex::Real(1360), amrex::Real(1441),
        amrex::Real(1518), amrex::Real(1606), amrex::Real(1698),
        amrex::Real(1781), amrex::Real(1869), amrex::Real(1954),
        amrex::Real(2190), amrex::Real(2266), amrex::Real(2349),
        amrex::Real(2428), amrex::Real(2567), amrex::Real(2654),
        amrex::Real(2815), amrex::Real(2900.0), amrex::Real(6714),
        amrex::Real(6929), amrex::Real(7167), amrex::Real(7390),
        amrex::Real(7887), amrex::Real(8140), amrex::Real(8455),
        amrex::Real(8669.48), amrex::Real(35710.028), amrex::Real(36668.183),
        // Te
        amrex::Real(9.009808), amrex::Real(18.6), amrex::Real(27.84),
        amrex::Real(37.4155), amrex::Real(59.3), amrex::Real(69.1),
        amrex::Real(124.20), amrex::Real(143.0), amrex::Real(167.0),
        amrex::Real(191.1), amrex::Real(215.0), amrex::Real(245.0),
        amrex::Real(272), amrex::Real(299), amrex::Real(328),
        amrex::Real(354), amrex::Real(461), amrex::Real(491),
        amrex::Real(522), amrex::Real(555), amrex::Real(599),
        amrex::Real(633), amrex::Real(709), amrex::Real(746.12),
        amrex::Real(1304), amrex::Real(1377), amrex::Real(1455),
        amrex::Real(1538), amrex::Real(1618), amrex::Real(1707),
        amrex::Real(1803), amrex::Real(1889), amrex::Real(1979),
        amrex::Real(2066), amrex::Real(2309), amrex::Real(2386),
        amrex::Real(2472), amrex::Real(2552), amrex::Real(2700),
        amrex::Real(2788), amrex::Real(2954), amrex::Real(3041.0),
        amrex::Real(7022), amrex::Real(7243), amrex::Real(7485),
        amrex::Real(7714), amrex::Real(8240), amrex::Real(8499),
        amrex::Real(8821), amrex::Real(9040.83), amrex::Real(37196.522),
        amrex::Real(38177.740),
        // I
        amrex::Real(10.451260), amrex::Real(19.13126), amrex::Real(29.570),
        amrex::Real(40.357), amrex::Real(51.52), amrex::Real(74.4),
        amrex::Real(87.61), amrex::Real(150.81), amrex::Real(171.0),
        amrex::Real(197.0), amrex::Real(220.9), amrex::Real(247.0),
        amrex::Real(279), amrex::Real(307), amrex::Real(335),
        amrex::Real(365), amrex::Real(393), amrex::Real(505),
        amrex::Real(535), amrex::Real(569), amrex::Real(601),
        amrex::Real(649), amrex::Real(683), amrex::Real(762),
        amrex::Real(800.8), amrex::Real(1397), amrex::Real(1472),
        amrex::Real(1553), amrex::Real(1639), amrex::Real(1720),
        amrex::Real(1812), amrex::Real(1911), amrex::Real(1999),
        amrex::Real(2093), amrex::Real(2181), amrex::Real(2431),
        amrex::Real(2510), amrex::Real(2598), amrex::Real(2680),
        amrex::Real(2836), amrex::Real(2926), amrex::Real(3096),
        amrex::Real(3185.5), amrex::Real(7337), amrex::Real(7563),
        amrex::Real(7811), amrex::Real(8044), amrex::Real(8601),
        amrex::Real(8867), amrex::Real(9196), amrex::Real(9421.10),
        amrex::Real(38716.996), amrex::Real(39721.549),
        // Xe
        amrex::Real(12.1298437), amrex::Real(20.975), amrex::Real(31.05),
        amrex::Real(42.20), amrex::Real(54.1), amrex::Real(66.703),
        amrex::Real(91.6), amrex::Real(105.9778), amrex::Real(179.84),
        amrex::Real(202.0), amrex::Real(229.02), amrex::Real(255.0),
        amrex::Real(281), amrex::Real(314), amrex::Real(343),
        amrex::Real(374), amrex::Real(404), amrex::Real(434),
        amrex::Real(549), amrex::Real(582), amrex::Real(616),
        amrex::Real(650), amrex::Real(700), amrex::Real(736),
        amrex::Real(818), amrex::Real(857.0), amrex::Real(1493),
        amrex::Real(1571), amrex::Real(1653), amrex::Real(1742),
        amrex::Real(1826), amrex::Real(1919), amrex::Real(2023),
        amrex::Real(2113), amrex::Real(2209), amrex::Real(2300),
        amrex::Real(2556), amrex::Real(2637), amrex::Real(2726),
        amrex::Real(2811), amrex::Real(2975), amrex::Real(3068),
        amrex::Real(3243), amrex::Real(3333.8), amrex::Real(7660),
        amrex::Real(7889), amrex::Real(8144), amrex::Real(8382),
        amrex::Real(8971), amrex::Real(9243), amrex::Real(9581),
        amrex::Real(9810.37), amrex::Real(40271.724), amrex::Real(41299.892),
        // Cs
        amrex::Real(3.89390572743), amrex::Real(23.15745), amrex::Real(33.195),
        amrex::Real(43.0), amrex::Real(56.0), amrex::Real(69.1),
        amrex::Real(82.9), amrex::Real(110.1), amrex::Real(125.61),
        amrex::Real(213.3), amrex::Real(233.0), amrex::Real(261.0),
        amrex::Real(289), amrex::Real(316), amrex::Real(352),
        amrex::Real(382), amrex::Real(413), amrex::Real(445),
        amrex::Real(476), amrex::Real(597), amrex::Real(629),
        amrex::Real(666), amrex::Real(700), amrex::Real(753),
        amrex::Real(791), amrex::Real(875), amrex::Real(916.1),
        amrex::Real(1592), amrex::Real(1672), amrex::Real(1757),
        amrex::Real(1848), amrex::Real(1936), amrex::Real(2029),
        amrex::Real(2137), amrex::Real(2230), amrex::Real(2329),
        amrex::Real(2422), amrex::Real(2683), amrex::Real(2767),
        amrex::Real(2859), amrex::Real(2945), amrex::Real(3118),
        amrex::Real(3214), amrex::Real(3392), amrex::Real(3485),
        amrex::Real(7989), amrex::Real(8224), amrex::Real(8484),
        amrex::Real(8726), amrex::Real(9350), amrex::Real(9629),
        amrex::Real(9974), amrex::Real(10208.78), amrex::Real(41861.075),
        amrex::Real(42913.144),
        // Ba
        amrex::Real(5.2116646), amrex::Real(10.003826), amrex::Real(35.8438),
        amrex::Real(47.0), amrex::Real(58.0), amrex::Real(71.0),
        amrex::Real(86.0), amrex::Real(101.0), amrex::Real(130.5),
        amrex::Real(146.52), amrex::Real(241.0), amrex::Real(267.1),
        amrex::Real(296), amrex::Real(325), amrex::Real(354),
        amrex::Real(390), amrex::Real(422), amrex::Real(455),
        amrex::Real(488), amrex::Real(520), amrex::Real(646),
        amrex::Real(679), amrex::Real(717), amrex::Real(752),
        amrex::Real(809), amrex::Real(846), amrex::Real(935),
        amrex::Real(976.62), amrex::Real(1695), amrex::Real(1776),
        amrex::Real(1864), amrex::Real(1958), amrex::Real(2047),
        amrex::Real(2142), amrex::Real(2256), amrex::Real(2349),
        amrex::Real(2452), amrex::Real(2547), amrex::Real(2814),
        amrex::Real(2901), amrex::Real(2994), amrex::Real(3081),
        amrex::Real(3266), amrex::Real(3363), amrex::Real(3546),
        amrex::Real(3640), amrex::Real(8326), amrex::Real(8565),
        amrex::Real(8831), amrex::Real(9077), amrex::Real(9739),
        amrex::Real(10023), amrex::Real(10376), amrex::Real(10616.42),
        amrex::Real(43485.366), amrex::Real(44561.633),
        // La
        amrex::Real(5.5769), amrex::Real(11.18496), amrex::Real(19.1773),
        amrex::Real(49.95), amrex::Real(61.6), amrex::Real(74.0),
        amrex::Real(88.0), amrex::Real(105.0), amrex::Real(119.0),
        amrex::Real(151.4), amrex::Real(168.77), amrex::Real(275.0),
        amrex::Real(303), amrex::Real(332), amrex::Real(364),
        amrex::Real(393), amrex::Real(431), amrex::Real(464),
        amrex::Real(498), amrex::Real(533), amrex::Real(566),
        amrex::Real(696), amrex::Real(731), amrex::Real(770),
        amrex::Real(806), amrex::Real(865), amrex::Real(906),
        amrex::Real(995), amrex::Real(1039.09), amrex::Real(1800),
        amrex::Real(1884), amrex::Real(1974), amrex::Real(2069),
        amrex::Real(2162), amrex::Real(2259), amrex::Real(2377),
        amrex::Real(2473), amrex::Real(2577), amrex::Real(2674),
        amrex::Real(2950), amrex::Real(3036), amrex::Real(3133),
        amrex::Real(3222), amrex::Real(3416), amrex::Real(3515),
        amrex::Real(3704), amrex::Real(3800), amrex::Real(8669),
        amrex::Real(8914), amrex::Real(9184), amrex::Real(9437),
        amrex::Real(10136), amrex::Real(10426), amrex::Real(10789),
        amrex::Real(11033.40), amrex::Real(45144.996), amrex::Real(46245.77),
        // Ce
        amrex::Real(5.5386), amrex::Real(10.956), amrex::Real(20.1974),
        amrex::Real(36.906), amrex::Real(65.55), amrex::Real(77.6),
        amrex::Real(91.0), amrex::Real(106.0), amrex::Real(125.0),
        amrex::Real(140.0), amrex::Real(172.0), amrex::Real(192.24),
        amrex::Real(312), amrex::Real(340), amrex::Real(371),
        amrex::Real(403), amrex::Real(435), amrex::Real(472),
        amrex::Real(509), amrex::Real(543), amrex::Real(579),
        amrex::Real(613), amrex::Real(749), amrex::Real(785),
        amrex::Real(824), amrex::Real(862), amrex::Real(924),
        amrex::Real(965), amrex::Real(1060), amrex::Real(1103.5),
        amrex::Real(1908), amrex::Real(1994), amrex::Real(2087),
        amrex::Real(2185), amrex::Real(2280), amrex::Real(2378),
        amrex::Real(2500), amrex::Real(2600), amrex::Real(2706),
        amrex::Real(2806), amrex::Real(3087), amrex::Real(3176),
        amrex::Real(3274), amrex::Real(3366), amrex::Real(3570),
        amrex::Real(3672), amrex::Real(3865), amrex::Real(3963),
        amrex::Real(9020), amrex::Real(9269), amrex::Real(9545),
        amrex::Real(9803), amrex::Real(10542), amrex::Real(10840),
        amrex::Real(11210), amrex::Real(11459.85), amrex::Real(46840.306),
        amrex::Real(47965.89),
        // Pr
        amrex::Real(5.4702), amrex::Real(10.631), amrex::Real(21.6237),
        amrex::Real(38.981), amrex::Real(57.53), amrex::Real(82),
        amrex::Real(97), amrex::Real(112), amrex::Real(131),
        amrex::Real(148), amrex::Real(162.0), amrex::Real(196.0),
        amrex::Real(217.02), amrex::Real(350), amrex::Real(378),
        amrex::Real(412), amrex::Real(445), amrex::Real(478),
        amrex::Real(516), amrex::Real(554), amrex::Real(590),
        amrex::Real(627), amrex::Real(663), amrex::Real(803),
        amrex::Real(840), amrex::Real(880), amrex::Real(920),
        amrex::Real(985), amrex::Real(1028), amrex::Real(1124),
        amrex::Real(1169.9), amrex::Real(2019), amrex::Real(2108),
        amrex::Real(2202), amrex::Real(2304), amrex::Real(2400),
        amrex::Real(2501), amrex::Real(2628), amrex::Real(2729),
        amrex::Real(2838), amrex::Real(2941), amrex::Real(3227),
        amrex::Real(3319), amrex::Real(3419), amrex::Real(3512),
        amrex::Real(3729), amrex::Real(3832), amrex::Real(4030),
        amrex::Real(4130), amrex::Real(9378), amrex::Real(9632),
        amrex::Real(9913), amrex::Real(10175), amrex::Real(10959),
        amrex::Real(11262), amrex::Real(11641), amrex::Real(11895.89),
        amrex::Real(48571.71), amrex::Real(49722.44),
        // Nd
        amrex::Real(5.5250), amrex::Real(10.783), amrex::Real(22.09),
        amrex::Real(40.60), amrex::Real(60.0), amrex::Real(84),
        amrex::Real(99), amrex::Real(114), amrex::Real(136),
        amrex::Real(152), amrex::Real(168), amrex::Real(195),
        amrex::Real(221), amrex::Real(243.00), amrex::Real(389),
        amrex::Real(420), amrex::Real(453), amrex::Real(489),
        amrex::Real(522), amrex::Real(562), amrex::Real(602),
        amrex::Real(638), amrex::Real(678), amrex::Real(714),
        amrex::Real(859), amrex::Real(896), amrex::Real(939),
        amrex::Real(978), amrex::Real(1049), amrex::Real(1092),
        amrex::Real(1191), amrex::Real(1238.42), amrex::Real(2134),
        amrex::Real(2224), amrex::Real(2321), amrex::Real(2425),
        amrex::Real(2525), amrex::Real(2627), amrex::Real(2758),
        amrex::Real(2861), amrex::Real(2974), amrex::Real(3078),
        amrex::Real(3371), amrex::Real(3465), amrex::Real(3567),
        amrex::Real(3662), amrex::Real(3891), amrex::Real(3997),
        amrex::Real(4198), amrex::Real(4302), amrex::Real(9742),
        amrex::Real(10002), amrex::Real(10288), amrex::Real(10555),
        amrex::Real(11384), amrex::Real(11694), amrex::Real(12082),
        amrex::Real(12341.66), amrex::Real(50339.59), amrex::Real(51515.78),
        // Pm
        amrex::Real(5.58187), amrex::Real(10.938), amrex::Real(22.44),
        amrex::Real(41.17), amrex::Real(61.7), amrex::Real(85),
        amrex::Real(101), amrex::Real(116), amrex::Real(138),
        amrex::Real(155), amrex::Real(174), amrex::Real(202),
        amrex::Real(229), amrex::Real(248), amrex::Real(269),
        amrex::Real(430), amrex::Real(462), amrex::Real(497),
        amrex::Real(534), amrex::Real(569), amrex::Real(609),
        amrex::Real(651), amrex::Real(689), amrex::Real(730),
        amrex::Real(767), amrex::Real(916), amrex::Real(956),
        amrex::Real(998), amrex::Real(1040), amrex::Real(1113),
        amrex::Real(1158), amrex::Real(1261), amrex::Real(1308.7),
        amrex::Real(2251), amrex::Real(2344), amrex::Real(2443),
        amrex::Real(2549), amrex::Real(2652), amrex::Real(2755),
        amrex::Real(2892), amrex::Real(2997), amrex::Real(3112),
        amrex::Real(3219), amrex::Real(3519), amrex::Real(3613),
        amrex::Real(3718), amrex::Real(3816), amrex::Real(4056),
        amrex::Real(4166), amrex::Real(4371), amrex::Real(4476),
        amrex::Real(10115), amrex::Real(10378), amrex::Real(10671),
        amrex::Real(10942), amrex::Real(11819), amrex::Real(12136),
        amrex::Real(12532), amrex::Real(12797.26), amrex::Real(52144.29),
        amrex::Real(53346.31),
        // Sm
        amrex::Real(5.643722), amrex::Real(11.078), amrex::Real(23.55),
        amrex::Real(41.64), amrex::Real(62.7), amrex::Real(87),
        amrex::Real(103), amrex::Real(118), amrex::Real(141),
        amrex::Real(158), amrex::Real(179), amrex::Real(208),
        amrex::Real(237), amrex::Real(257), amrex::Real(276),
        amrex::Real(306.5), amrex::Real(474), amrex::Real(506),
        amrex::Real(543), amrex::Real(581), amrex::Real(617),
        amrex::Real(658), amrex::Real(702), amrex::Real(742),
        amrex::Real(782), amrex::Real(822), amrex::Real(976),
        amrex::Real(1016), amrex::Real(1060), amrex::Real(1103),
        amrex::Real(1180), amrex::Real(1226), amrex::Real(1332),
        amrex::Real(1381.56), amrex::Real(2371), amrex::Real(2466),
        amrex::Real(2569), amrex::Real(2676), amrex::Real(2782),
        amrex::Real(2887), amrex::Real(3028), amrex::Real(3137),
        amrex::Real(3253), amrex::Real(3363), amrex::Real(3669),
        amrex::Real(3766), amrex::Real(3873), amrex::Real(3971),
        amrex::Real(4227), amrex::Real(4337), amrex::Real(4548),
        amrex::Real(4655), amrex::Real(10494), amrex::Real(10762),
        amrex::Real(11060), amrex::Real(11337), amrex::Real(12264),
        amrex::Real(12588), amrex::Real(12992), amrex::Real(13262.85),
        amrex::Real(53986.12), amrex::Real(55214.30),
        // Eu
        amrex::Real(5.670385), amrex::Real(11.240), amrex::Real(24.84),
        amrex::Real(42.94), amrex::Real(63.2), amrex::Real(89),
        amrex::Real(105), amrex::Real(120), amrex::Real(144),
        amrex::Real(161), amrex::Real(183), amrex::Real(213),
        amrex::Real(243), amrex::Real(263), amrex::Real(281),
        amrex::Real(311), amrex::Real(344.4), amrex::Real(518),
        amrex::Real(553), amrex::Real(590), amrex::Real(630),
        amrex::Real(667), amrex::Real(709), amrex::Real(755),
        amrex::Real(795), amrex::Real(838), amrex::Real(879),
        amrex::Real(1037), amrex::Real(1078), amrex::Real(1124),
        amrex::Real(1167), amrex::Real(1249), amrex::Real(1296),
        amrex::Real(1406), amrex::Real(1456.06), amrex::Real(2495),
        amrex::Real(2591), amrex::Real(2697), amrex::Real(2807),
        amrex::Real(2914), amrex::Real(3022), amrex::Real(3168),
        amrex::Real(3279), amrex::Real(3398), amrex::Real(3510),
        amrex::Real(3823), amrex::Real(3921), amrex::Real(4031),
        amrex::Real(4131), amrex::Real(4400), amrex::Real(4513),
        amrex::Real(4729), amrex::Real(4838), amrex::Real(10880),
        amrex::Real(11153), amrex::Real(11457), amrex::Real(11739),
        amrex::Real(12718), amrex::Real(13050), amrex::Real(13462),
        amrex::Real(13738.58), amrex::Real(55865.92), amrex::Real(57120.64),
        // Gd
        amrex::Real(6.14980), amrex::Real(12.076), amrex::Real(20.54),
        amrex::Real(44.44), amrex::Real(64.8), amrex::Real(89),
        amrex::Real(106), amrex::Real(123), amrex::Real(144),
        amrex::Real(165), amrex::Real(183), amrex::Real(213),
        amrex::Real(246), amrex::Real(268), amrex::Real(288),
        amrex::Real(319), amrex::Real(352), amrex::Real(384.4),
        amrex::Real(565), amrex::Real(601), amrex::Real(639),
        amrex::Real(680), amrex::Real(719), amrex::Real(761),
        amrex::Real(810), amrex::Real(851), amrex::Real(895),
        amrex::Real(937), amrex::Real(1100), amrex::Real(1142),
        amrex::Real(1189), amrex::Real(1233), amrex::Real(1321),
        amrex::Real(1368), amrex::Real(1481), amrex::Real(1532.3),
        amrex::Real(2621), amrex::Real(2720), amrex::Real(2827),
        amrex::Real(2941), amrex::Real(3050), amrex::Real(3160),
        amrex::Real(3312), amrex::Real(3424), amrex::Real(3546),
        amrex::Real(3660), amrex::Real(3980), amrex::Real(4080),
        amrex::Real(4191), amrex::Real(4294), amrex::Real(4578),
        amrex::Real(4693), amrex::Real(4914), amrex::Real(5025),
        amrex::Real(11273), amrex::Real(11552), amrex::Real(11861),
        amrex::Real(12147), amrex::Real(13183), amrex::Real(13521),
        amrex::Real(13943), amrex::Real(14224.57), amrex::Real(57783.90),
        amrex::Real(59065.54),
        // Tb
        amrex::Real(5.8638), amrex::Real(11.513), amrex::Real(21.82),
        amrex::Real(39.33), amrex::Real(66.5), amrex::Real(90),
        amrex::Real(108), amrex::Real(125), amrex::Real(143),
        amrex::Real(168), amrex::Real(186), amrex::Real(216),
        amrex::Real(250), amrex::Real(273), amrex::Real(294),
        amrex::Real(325), amrex::Real(358), amrex::Real(393),
        amrex::Real(426.6), amrex::Real(613), amrex::Real(651),
        amrex::Real(690), amrex::Real(732), amrex::Real(772),
        amrex::Real(816), amrex::Real(866), amrex::Real(909),
        amrex::Real(954), amrex::Real(997), amrex::Real(1165),
        amrex::Real(1208), amrex::Real(1256), amrex::Real(1301),
        amrex::Real(1393), amrex::Real(1443), amrex::Real(1559),
        amrex::Real(1610.4), amrex::Real(2750), amrex::Real(2852),
        amrex::Real(2961), amrex::Real(3078), amrex::Real(3189),
        amrex::Real(3300), amrex::Real(3458), amrex::Real(3573),
        amrex::Real(3698), amrex::Real(3814), amrex::Real(4139),
        amrex::Real(4242), amrex::Real(4355), amrex::Real(4460),
        amrex::Real(4760), amrex::Real(4877), amrex::Real(5103),
        amrex::Real(5217), amrex::Real(11673), amrex::Real(11957),
        amrex::Real(12272), amrex::Real(12563), amrex::Real(13658),
        amrex::Real(14003), amrex::Real(14434), amrex::Real(14721.02),
        amrex::Real(59739.3), amrex::Real(61050.1),
        // Dy
        amrex::Real(5.939061), amrex::Real(11.647), amrex::Real(22.89),
        amrex::Real(41.23), amrex::Real(62.1), amrex::Real(93),
        amrex::Real(110), amrex::Real(127), amrex::Real(152),
        amrex::Real(170), amrex::Real(192), amrex::Real(224),
        amrex::Real(259), amrex::Real(279), amrex::Real(300),
        amrex::Real(332), amrex::Real(366), amrex::Real(399),
        amrex::Real(431), amrex::Real(464.9), amrex::Real(664),
        amrex::Real(702), amrex::Real(743), amrex::Real(786),
        amrex::Real(827), amrex::Real(872), amrex::Real(924),
        amrex::Real(969), amrex::Real(1014), amrex::Real(1059),
        amrex::Real(1232), amrex::Real(1275), amrex::Real(1325),
        amrex::Real(1371), amrex::Real(1468), amrex::Real(1520),
        amrex::Real(1638), amrex::Real(1691.7), amrex::Real(2882),
        amrex::Real(2987), amrex::Real(3098), amrex::Real(3217),
        amrex::Real(3331), amrex::Real(3445), amrex::Real(3607),
        amrex::Real(3725), amrex::Real(3852), amrex::Real(3970),
        amrex::Real(4303), amrex::Real(4407), amrex::Real(4523),
        amrex::Real(4629), amrex::Real(4945), amrex::Real(5066),
        amrex::Real(5296), amrex::Real(5412), amrex::Real(12081),
        amrex::Real(12370), amrex::Real(12690), amrex::Real(12986),
        amrex::Real(14144), amrex::Real(14495), amrex::Real(14936),
        amrex::Real(15228.06), amrex::Real(61736.56), amrex::Real(63073.23),
        // Ho
        amrex::Real(6.0215), amrex::Real(11.781), amrex::Real(22.79),
        amrex::Real(42.52), amrex::Real(63.9), amrex::Real(95),
        amrex::Real(112), amrex::Real(129), amrex::Real(155),
        amrex::Real(173), amrex::Real(197), amrex::Real(229),
        amrex::Real(263), amrex::Real(284), amrex::Real(305),
        amrex::Real(340), amrex::Real(373), amrex::Real(408),
        amrex::Real(441), amrex::Real(475), amrex::Real(510),
        amrex::Real(715), amrex::Real(755), amrex::Real(797),
        amrex::Real(842), amrex::Real(885), amrex::Real(929),
        amrex::Real(985), amrex::Real(1029), amrex::Real(1077),
        amrex::Real(1122), amrex::Real(1300), amrex::Real(1346),
        amrex::Real(1395), amrex::Real(1443), amrex::Real(1545),
        amrex::Real(1598), amrex::Real(1719), amrex::Real(1773.6),
        amrex::Real(3018), amrex::Real(3125), amrex::Real(3238),
        amrex::Real(3359), amrex::Real(3476), amrex::Real(3592),
        amrex::Real(3760), amrex::Real(3880), amrex::Real(4009),
        amrex::Real(4131), amrex::Real(4469), amrex::Real(4576),
        amrex::Real(4693), amrex::Real(4802), amrex::Real(5135),
        amrex::Real(5258), amrex::Real(5494), amrex::Real(5611),
        amrex::Real(12495), amrex::Real(12790), amrex::Real(13116),
        amrex::Real(13417), amrex::Real(14639), amrex::Real(14998),
        amrex::Real(15448), amrex::Real(15745.77), amrex::Real(63772.43),
        amrex::Real(65137.13),
        // Er
        amrex::Real(6.1077), amrex::Real(11.916), amrex::Real(22.70),
        amrex::Real(42.42), amrex::Real(65.1), amrex::Real(96),
        amrex::Real(114), amrex::Real(131), amrex::Real(158),
        amrex::Real(177), amrex::Real(201), amrex::Real(235),
        amrex::Real(268), amrex::Real(290), amrex::Real(311),
        amrex::Real(345), amrex::Real(381), amrex::Real(415),
        amrex::Real(450), amrex::Real(486), amrex::Real(520),
        amrex::Real(555), amrex::Real(770), amrex::Real(810),
        amrex::Real(853), amrex::Real(899), amrex::Real(943),
        amrex::Real(989), amrex::Real(1046), amrex::Real(1092),
        amrex::Real(1142), amrex::Real(1188), amrex::Real(1370),
        amrex::Real(1416), amrex::Real(1468), amrex::Real(1516),
        amrex::Real(1625), amrex::Real(1678), amrex::Real(1803),
        amrex::Real(1858.5), amrex::Real(3157), amrex::Real(3265),
        amrex::Real(3381), amrex::Real(3505), amrex::Real(3624),
        amrex::Real(3742), amrex::Real(3916), amrex::Real(4038),
        amrex::Real(4170), amrex::Real(4294), amrex::Real(4639),
        amrex::Real(4748), amrex::Real(4866), amrex::Real(4978),
        amrex::Real(5329), amrex::Real(5455), amrex::Real(5695),
        amrex::Real(5815), amrex::Real(12918), amrex::Real(13217),
        amrex::Real(13548), amrex::Real(13855), amrex::Real(15146),
        amrex::Real(15511), amrex::Real(15971), amrex::Real(16274.56),
        amrex::Real(65848.24), amrex::Real(67241.48),
        // Tm
        amrex::Real(6.184402), amrex::Real(12.065), amrex::Real(23.66),
        amrex::Real(42.41), amrex::Real(65.4), amrex::Real(98),
        amrex::Real(116), amrex::Real(133), amrex::Real(160),
        amrex::Real(180), amrex::Real(205), amrex::Real(239),
        amrex::Real(274), amrex::Real(295), amrex::Real(317),
        amrex::Real(352), amrex::Real(387), amrex::Real(424),
        amrex::Real(460), amrex::Real(496), amrex::Real(530),
        amrex::Real(570), amrex::Real(603), amrex::Real(825),
        amrex::Real(866), amrex::Real(911), amrex::Real(958),
        amrex::Real(1004), amrex::Real(1050), amrex::Real(1110),
        amrex::Real(1157), amrex::Real(1207), amrex::Real(1255),
        amrex::Real(1442), amrex::Real(1490), amrex::Real(1542),
        amrex::Real(1591), amrex::Real(1706), amrex::Real(1761),
        amrex::Real(1889), amrex::Real(1945.2), amrex::Real(3298),
        amrex::Real(3409), amrex::Real(3528), amrex::Real(3653),
        amrex::Real(3775), amrex::Real(3895), amrex::Real(4075),
        amrex::Real(4199), amrex::Real(4335), amrex::Real(4461),
        amrex::Real(4812), amrex::Real(4922), amrex::Real(5044),
        amrex::Real(5157), amrex::Real(5527), amrex::Real(5656),
        amrex::Real(5901), amrex::Real(6023), amrex::Real(13347),
        amrex::Real(13651), amrex::Real(13988), amrex::Real(14300),
        amrex::Real(15663), amrex::Real(16036), amrex::Real(16510),
        amrex::Real(16814.34), amrex::Real(67965.26), amrex::Real(69387.45),
        // Yb
        amrex::Real(6.254160), amrex::Real(12.179185), amrex::Real(25.053),
        amrex::Real(43.61), amrex::Real(65.6), amrex::Real(99),
        amrex::Real(117), amrex::Real(135), amrex::Real(163),
        amrex::Real(182), amrex::Real(209), amrex::Real(244),
        amrex::Real(279), amrex::Real(301), amrex::Real(324),
        amrex::Real(360), amrex::Real(396), amrex::Real(431),
        amrex::Real(469), amrex::Real(505), amrex::Real(540),
        amrex::Real(580), amrex::Real(610), amrex::Real(651),
        amrex::Real(882), amrex::Real(924), amrex::Real(971),
        amrex::Real(1019), amrex::Real(1065), amrex::Real(1114),
        amrex::Real(1175), amrex::Real(1224), amrex::Real(1275),
        amrex::Real(1324), amrex::Real(1516), amrex::Real(1564),
        amrex::Real(1618), amrex::Real(1668), amrex::Real(1789),
        amrex::Real(1845), amrex::Real(1978), amrex::Real(2036.4),
        amrex::Real(3443), amrex::Real(3555), amrex::Real(3677),
        amrex::Real(3805), amrex::Real(3929), amrex::Real(4051),
        amrex::Real(4238), amrex::Real(4364), amrex::Real(4502),
        amrex::Real(4630), amrex::Real(4988), amrex::Real(5101),
        amrex::Real(5224), amrex::Real(5339), amrex::Real(5731),
        amrex::Real(5860), amrex::Real(6111), amrex::Real(6236),
        amrex::Real(13784), amrex::Real(14093), amrex::Real(14435),
        amrex::Real(14752), amrex::Real(16191), amrex::Real(16570),
        amrex::Real(17050), amrex::Real(17365.44), amrex::Real(70123.04),
        amrex::Real(71574.63),
        // Lu
        amrex::Real(5.425871), amrex::Real(14.13), amrex::Real(20.9594),
        amrex::Real(45.249), amrex::Real(66.8), amrex::Real(98),
        amrex::Real(117), amrex::Real(136), amrex::Real(159),
        amrex::Real(185), amrex::Real(205), amrex::Real(238),
        amrex::Real(276), amrex::Real(305), amrex::Real(328),
        amrex::Real(361), amrex::Real(399), amrex::Real(438),
        amrex::Real(476), amrex::Real(520), amrex::Real(560),
        amrex::Real(600), amrex::Real(630), amrex::Real(670),
        amrex::Real(713), amrex::Real(941), amrex::Real(985),
        amrex::Real(1032), amrex::Real(1081), amrex::Real(1130),
        amrex::Real(1178), amrex::Real(1242), amrex::Real(1292),
        amrex::Real(1345), amrex::Real(1395), amrex::Real(1591),
        amrex::Real(1641), amrex::Real(1696), amrex::Real(1747),
        amrex::Real(1875), amrex::Real(1933), amrex::Real(2067),
        amrex::Real(2125.5), amrex::Real(3590), amrex::Real(3706),
        amrex::Real(3828), amrex::Real(3960), amrex::Real(4086),
        amrex::Real(4211), amrex::Real(4403), amrex::Real(4532),
        amrex::Real(4673), amrex::Real(4803), amrex::Real(5168),
        amrex::Real(5282), amrex::Real(5408), amrex::Real(5525),
        amrex::Real(5937), amrex::Real(6070), amrex::Real(6326),
        amrex::Real(6452), amrex::Real(14228), amrex::Real(14542),
        amrex::Real(14890), amrex::Real(15211), amrex::Real(16730),
        amrex::Real(17120), amrex::Real(17610), amrex::Real(17928.05),
        amrex::Real(72322.91), amrex::Real(73804.35),
        // Hf
        amrex::Real(6.825070), amrex::Real(14.61), amrex::Real(22.55),
        amrex::Real(33.370), amrex::Real(68.37), amrex::Real(98),
        amrex::Real(118), amrex::Real(137), amrex::Real(157),
        amrex::Real(187), amrex::Real(209), amrex::Real(230),
        amrex::Real(270), amrex::Real(310), amrex::Real(334),
        amrex::Real(359), amrex::Real(399), amrex::Real(440),
        amrex::Real(481), amrex::Real(520), amrex::Real(570),
        amrex::Real(610), amrex::Real(650), amrex::Real(690),
        amrex::Real(730), amrex::Real(772), amrex::Real(1002),
        amrex::Real(1047), amrex::Real(1094), amrex::Real(1146),
        amrex::Real(1195), amrex::Real(1245), amrex::Real(1311),
        amrex::Real(1362), amrex::Real(1417), amrex::Real(1467),
        amrex::Real(1669), amrex::Real(1719), amrex::Real(1776),
        amrex::Real(1827), amrex::Real(1963), amrex::Real(2022),
        amrex::Real(2159), amrex::Real(2218.9), amrex::Real(3741),
        amrex::Real(3858), amrex::Real(3984), amrex::Real(4118),
        amrex::Real(4246), amrex::Real(4372), amrex::Real(4573),
        amrex::Real(4703), amrex::Real(4846), amrex::Real(4980),
        amrex::Real(5350), amrex::Real(5468), amrex::Real(5595),
        amrex::Real(5713), amrex::Real(6149), amrex::Real(6284),
        amrex::Real(6545), amrex::Real(6674), amrex::Real(14678),
        amrex::Real(14999), amrex::Real(15351), amrex::Real(15680),
        amrex::Real(17280), amrex::Real(17680), amrex::Real(18180),
        amrex::Real(18502.32), amrex::Real(74565.93), amrex::Real(76077.70),
        // Ta
        amrex::Real(7.549571), amrex::Real(16.2), amrex::Real(23.1),
        amrex::Real(35.0), amrex::Real(48.272), amrex::Real(94.01),
        amrex::Real(119), amrex::Real(139), amrex::Real(159),
        amrex::Real(180), amrex::Real(213), amrex::Real(235),
        amrex::Real(262), amrex::Real(304), amrex::Real(338),
        amrex::Real(363), amrex::Real(396), amrex::Real(439),
        amrex::Real(482), amrex::Real(530), amrex::Real(570),
        amrex::Real(610), amrex::Real(660), amrex::Real(700),
        amrex::Real(750), amrex::Real(790), amrex::Real(832),
        amrex::Real(1064), amrex::Real(1110), amrex::Real(1160),
        amrex::Real(1211), amrex::Real(1262), amrex::Real(1313),
        amrex::Real(1382), amrex::Real(1434), amrex::Real(1490),
        amrex::Real(1542), amrex::Real(1748), amrex::Real(1799),
        amrex::Real(1857), amrex::Real(1910), amrex::Real(2053),
        amrex::Real(2113), amrex::Real(2254), amrex::Real(2314.7),
        amrex::Real(3898.7), amrex::Real(4014), amrex::Real(4143),
        amrex::Real(4278), amrex::Real(4410), amrex::Real(4537),
        amrex::Real(4745), amrex::Real(4877), amrex::Real(5024),
        amrex::Real(5159), amrex::Real(5537), amrex::Real(5655),
        amrex::Real(5785), amrex::Real(5907), amrex::Real(6364),
        amrex::Real(6502), amrex::Real(6769), amrex::Real(6900),
        amrex::Real(15137), amrex::Real(15461), amrex::Real(15820),
        amrex::Real(16150), amrex::Real(17840), amrex::Real(18250),
        amrex::Real(18760), amrex::Real(19088.51), amrex::Real(76852.03),
        amrex::Real(78394.63),
        // W
        amrex::Real(7.86403), amrex::Real(16.37), amrex::Real(26.0),
        amrex::Real(38.2), amrex::Real(51.6), amrex::Real(64.77),
        amrex::Real(122.01), amrex::Real(141.2), amrex::Real(160.2),
        amrex::Real(179.0), amrex::Real(208.9), amrex::Real(231.6),
        amrex::Real(258.3), amrex::Real(290.7), amrex::Real(325.3),
        amrex::Real(361.9), amrex::Real(387.9), amrex::Real(420.7),
        amrex::Real(462.1), amrex::Real(502.6), amrex::Real(543.4),
        amrex::Real(594.5), amrex::Real(640.6), amrex::Real(685.6),
        amrex::Real(734.1), amrex::Real(784.4), amrex::Real(833.4),
        amrex::Real(881.4), amrex::Real(1132.2), amrex::Real(1180.0),
        amrex::Real(1230.4), amrex::Real(1283.4), amrex::Real(1335.1),
        amrex::Real(1386.8), amrex::Real(1459.9), amrex::Real(1512.4),
        amrex::Real(1569.1), amrex::Real(1621.7), amrex::Real(1829.8),
        amrex::Real(1882.9), amrex::Real(1940.6), amrex::Real(1994.8),
        amrex::Real(2149.1), amrex::Real(2210.0), amrex::Real(2354.5),
        amrex::Real(2414.1), amrex::Real(4057), amrex::Real(4180),
        amrex::Real(4309), amrex::Real(4446), amrex::Real(4578),
        amrex::Real(4709), amrex::Real(4927), amrex::Real(5063),
        amrex::Real(5209), amrex::Real(5348), amrex::Real(5719),
        amrex::Real(5840), amrex::Real(5970), amrex::Real(6093),
        amrex::Real(6596), amrex::Real(6735), amrex::Real(7000),
        amrex::Real(7130), amrex::Real(15566), amrex::Real(15896),
        amrex::Real(16252), amrex::Real(16588), amrex::Real(18476),
        amrex::Real(18872), amrex::Real(19362), amrex::Real(19686.74),
        amrex::Real(79181.94), amrex::Real(80755.91),
        // Re
        amrex::Real(7.83352), amrex::Real(16.6), amrex::Real(27.0),
        amrex::Real(39.1), amrex::Real(51.9), amrex::Real(67.0),
        amrex::Real(82.71), amrex::Real(144.4), amrex::Real(165),
        amrex::Real(187), amrex::Real(208), amrex::Real(236),
        amrex::Real(268), amrex::Real(291), amrex::Real(330),
        amrex::Real(377), amrex::Real(403), amrex::Real(429),
        amrex::Real(476), amrex::Real(520), amrex::Real(570),
        amrex::Real(620), amrex::Real(670), amrex::Real(720),
        amrex::Real(760), amrex::Real(810), amrex::Real(860),
        amrex::Real(910), amrex::Real(953), amrex::Real(1194),
        amrex::Real(1242), amrex::Real(1294), amrex::Real(1349),
        amrex::Real(1402), amrex::Real(1454), amrex::Real(1530),
        amrex::Real(1583), amrex::Real(1641), amrex::Real(1696),
        amrex::Real(1912), amrex::Real(1966), amrex::Real(2025),
        amrex::Real(2080), amrex::Real(2240), amrex::Real(2302),
        amrex::Real(2450), amrex::Real(2514.5), amrex::Real(4214),
        amrex::Real(4335), amrex::Real(4468), amrex::Real(4609),
        amrex::Real(4745), amrex::Real(4877), amrex::Real(5099),
        amrex::Real(5236), amrex::Real(5388), amrex::Real(5528),
        amrex::Real(5919), amrex::Real(6042), amrex::Real(6176),
        amrex::Real(6300), amrex::Real(6810), amrex::Real(6952),
        amrex::Real(7230), amrex::Real(7366), amrex::Real(16080),
        amrex::Real(16410), amrex::Real(16780), amrex::Real(17120),
        amrex::Real(19000), amrex::Real(19420), amrex::Real(19950),
        amrex::Real(20297.40), amrex::Real(81556.90), amrex::Real(83162.41),
        // Os
        amrex::Real(8.43823), amrex::Real(17.0), amrex::Real(25.0),
        amrex::Real(41.0), amrex::Real(55.0), amrex::Real(70.1),
        amrex::Real(85.1), amrex::Real(102.02), amrex::Real(168.7),
        amrex::Real(190), amrex::Real(213), amrex::Real(235),
        amrex::Real(269), amrex::Real(298), amrex::Real(322),
        amrex::Real(367), amrex::Real(410), amrex::Real(436),
        amrex::Real(470), amrex::Real(520), amrex::Real(570),
        amrex::Real(620), amrex::Real(670), amrex::Real(720),
        amrex::Real(770), amrex::Real(820), amrex::Real(870),
        amrex::Real(920), amrex::Real(970), amrex::Real(1015),
        amrex::Real(1262), amrex::Real(1311), amrex::Real(1364),
        amrex::Real(1420), amrex::Real(1474), amrex::Real(1528),
        amrex::Real(1606), amrex::Real(1660), amrex::Real(1720),
        amrex::Real(1776), amrex::Real(1996), amrex::Real(2052),
        amrex::Real(2112), amrex::Real(2168), amrex::Real(2336),
        amrex::Real(2400), amrex::Real(2552), amrex::Real(2615.5),
        amrex::Real(4374), amrex::Real(4501), amrex::Real(4635),
        amrex::Real(4779), amrex::Real(4917), amrex::Real(5052),
        amrex::Real(5280), amrex::Real(5421), amrex::Real(5575),
        amrex::Real(5717), amrex::Real(6115), amrex::Real(6240),
        amrex::Real(6376), amrex::Real(6503), amrex::Real(7039),
        amrex::Real(7185), amrex::Real(7468), amrex::Real(7610),
        amrex::Real(16560), amrex::Real(16900), amrex::Real(17270),
        amrex::Real(17620), amrex::Real(19600), amrex::Real(20030),
        amrex::Real(20570), amrex::Real(20920.60), amrex::Real(83976.21),
        amrex::Real(85614.42),
        // Ir
        amrex::Real(8.96702), amrex::Real(17.0), amrex::Real(28.0),
        amrex::Real(40.0), amrex::Real(57.0), amrex::Real(72.0),
        amrex::Real(89.0), amrex::Real(105.0), amrex::Real(122.7),
        amrex::Real(194.8), amrex::Real(217), amrex::Real(240),
        amrex::Real(264), amrex::Real(303), amrex::Real(329),
        amrex::Real(356), amrex::Real(407), amrex::Real(445),
        amrex::Real(472), amrex::Real(510), amrex::Real(560),
        amrex::Real(610), amrex::Real(670), amrex::Real(720),
        amrex::Real(770), amrex::Real(820), amrex::Real(870),
        amrex::Real(920), amrex::Real(980), amrex::Real(1030),
        amrex::Real(1080), amrex::Real(1331), amrex::Real(1381),
        amrex::Real(1436), amrex::Real(1493), amrex::Real(1548),
        amrex::Real(1603), amrex::Real(1684), amrex::Real(1739),
        amrex::Real(1801), amrex::Real(1857), amrex::Real(2083),
        amrex::Real(2139), amrex::Real(2201), amrex::Real(2258),
        amrex::Real(2435), amrex::Real(2500), amrex::Real(2656),
        amrex::Real(2720.4), amrex::Real(4540), amrex::Real(4668),
        amrex::Real(4806), amrex::Real(4952), amrex::Real(5092),
        amrex::Real(5229), amrex::Real(5466), amrex::Real(5609),
        amrex::Real(5765), amrex::Real(5910), amrex::Real(6315),
        amrex::Real(6441), amrex::Real(6580), amrex::Real(6708),
        amrex::Real(7274), amrex::Real(7421), amrex::Real(7710),
        amrex::Real(7850), amrex::Real(17040), amrex::Real(17390),
        amrex::Real(17770), amrex::Real(18120), amrex::Real(20210),
        amrex::Real(20650), amrex::Real(21200), amrex::Real(21556.60),
        amrex::Real(86438.9), amrex::Real(88113.6),
        // Pt
        amrex::Real(8.95883), amrex::Real(18.56), amrex::Real(29.0),
        amrex::Real(43.0), amrex::Real(56.0), amrex::Real(75.0),
        amrex::Real(91.0), amrex::Real(109.0), amrex::Real(126.0),
        amrex::Real(144.9), amrex::Real(220.4), amrex::Real(245),
        amrex::Real(269), amrex::Real(293), amrex::Real(332),
        amrex::Real(358), amrex::Real(392), amrex::Real(445),
        amrex::Real(479), amrex::Real(507), amrex::Real(550),
        amrex::Real(610), amrex::Real(660), amrex::Real(710),
        amrex::Real(760), amrex::Real(820), amrex::Real(870),
        amrex::Real(930), amrex::Real(980), amrex::Real(1040),
        amrex::Real(1090), amrex::Real(1140), amrex::Real(1402),
        amrex::Real(1454), amrex::Real(1509), amrex::Real(1567),
        amrex::Real(1624), amrex::Real(1680), amrex::Real(1763),
        amrex::Real(1821), amrex::Real(1883), amrex::Real(1941),
        amrex::Real(2171), amrex::Real(2228), amrex::Real(2291),
        amrex::Real(2350), amrex::Real(2536), amrex::Real(2603),
        amrex::Real(2762), amrex::Real(2827.8), amrex::Real(4715),
        amrex::Real(4839), amrex::Real(4980), amrex::Real(5128),
        amrex::Real(5270), amrex::Real(5410), amrex::Real(5654),
        amrex::Real(5800), amrex::Real(5959), amrex::Real(6106),
        amrex::Real(6517), amrex::Real(6646), amrex::Real(6787),
        amrex::Real(6918), amrex::Real(7512), amrex::Real(7660),
        amrex::Real(7960), amrex::Real(8100), amrex::Real(17540),
        amrex::Real(17890), amrex::Real(18280), amrex::Real(18630),
        amrex::Real(20840), amrex::Real(21280), amrex::Real(21840),
        amrex::Real(22205.7), amrex::Real(88955.18), amrex::Real(90659.84),
        // Au
        amrex::Real(9.225554), amrex::Real(20.203), amrex::Real(30.0),
        amrex::Real(45.0), amrex::Real(60.0), amrex::Real(74.0),
        amrex::Real(94.0), amrex::Real(112.0), amrex::Real(130.1),
        amrex::Real(149.0), amrex::Real(168.2), amrex::Real(248.0),
        amrex::Real(275), amrex::Real(299), amrex::Real(324),
        amrex::Real(365), amrex::Real(392), amrex::Real(433),
        amrex::Real(487), amrex::Real(520), amrex::Real(550),
        amrex::Real(600), amrex::Real(650), amrex::Real(710),
        amrex::Real(760), amrex::Real(820), amrex::Real(870),
        amrex::Real(930), amrex::Real(990), amrex::Real(1040),
        amrex::Real(1100), amrex::Real(1150), amrex::Real(1210),
        amrex::Real(1475), amrex::Real(1527), amrex::Real(1584),
        amrex::Real(1644), amrex::Real(1702), amrex::Real(1758),
        amrex::Real(1845), amrex::Real(1904), amrex::Real(1967),
        amrex::Real(2026), amrex::Real(2261), amrex::Real(2320),
        amrex::Real(2383), amrex::Real(2443), amrex::Real(2640),
        amrex::Real(2708), amrex::Real(2870), amrex::Real(2941.0),
        amrex::Real(4888), amrex::Real(5013), amrex::Real(5156),
        amrex::Real(5307), amrex::Real(5452), amrex::Real(5594),
        amrex::Real(5846), amrex::Real(5994), amrex::Real(6156),
        amrex::Real(6305), amrex::Real(6724), amrex::Real(6854),
        amrex::Real(6997), amrex::Real(7130), amrex::Real(7760),
        amrex::Real(7910), amrex::Real(8210), amrex::Real(8360),
        amrex::Real(18040), amrex::Real(18400), amrex::Real(18790),
        amrex::Real(19150), amrex::Real(21470), amrex::Real(21920),
        amrex::Real(22500), amrex::Real(22868.1), amrex::Real(91515.82),
        amrex::Real(93254.62),
        // Hg
        amrex::Real(10.437504), amrex::Real(18.75688), amrex::Real(34.49),
        amrex::Real(48.55), amrex::Real(61.20), amrex::Real(76.6),
        amrex::Real(93.0), amrex::Real(113.9), amrex::Real(134.0),
        amrex::Real(153.0), amrex::Real(173.0), amrex::Real(192.7),
        amrex::Real(276.9), amrex::Real(307), amrex::Real(332),
        amrex::Real(357), amrex::Real(402), amrex::Real(429),
        amrex::Real(477), amrex::Real(530), amrex::Real(560),
        amrex::Real(590), amrex::Real(650), amrex::Real(710),
        amrex::Real(760), amrex::Real(820), amrex::Real(880),
        amrex::Real(930), amrex::Real(990), amrex::Real(1050),
        amrex::Real(1110), amrex::Real(1160), amrex::Real(1220),
        amrex::Real(1280), amrex::Real(1549), amrex::Real(1603),
        amrex::Real(1661), amrex::Real(1723), amrex::Real(1780),
        amrex::Real(1839), amrex::Real(1928), amrex::Real(1989),
        amrex::Real(2052), amrex::Real(2113), amrex::Real(2354),
        amrex::Real(2412), amrex::Real(2478), amrex::Real(2539),
        amrex::Real(2745), amrex::Real(2815), amrex::Real(2981),
        amrex::Real(3049.9), amrex::Real(5055), amrex::Real(5191),
        amrex::Real(5335), amrex::Real(5490), amrex::Real(5636),
        amrex::Real(5780), amrex::Real(6041), amrex::Real(6192),
        amrex::Real(6356), amrex::Real(6508), amrex::Real(6933),
        amrex::Real(7066), amrex::Real(7211), amrex::Real(7350),
        amrex::Real(8010), amrex::Real(8160), amrex::Real(8470),
        amrex::Real(8620), amrex::Real(18550), amrex::Real(18910),
        amrex::Real(19310), amrex::Real(19680), amrex::Real(22120),
        amrex::Real(22580), amrex::Real(23170), amrex::Real(23544.1),
        amrex::Real(94124.70), amrex::Real(95898.19),
        // Tl
        amrex::Real(6.1082873), amrex::Real(20.4283), amrex::Real(29.8520),
        amrex::Real(51.14), amrex::Real(62.6), amrex::Real(80.0),
        amrex::Real(97.9), amrex::Real(116.0), amrex::Real(135.0),
        amrex::Real(158.0), amrex::Real(177.0), amrex::Real(198.0),
        amrex::Real(218.3), amrex::Real(306.9), amrex::Real(340),
        amrex::Real(366), amrex::Real(392), amrex::Real(439),
        amrex::Real(467), amrex::Real(520), amrex::Real(570),
        amrex::Real(600), amrex::Real(640), amrex::Real(700),
        amrex::Real(760), amrex::Real(820), amrex::Real(880),
        amrex::Real(930), amrex::Real(990), amrex::Real(1060),
        amrex::Real(1110), amrex::Real(1170), amrex::Real(1230),
        amrex::Real(1290), amrex::Real(1350), amrex::Real(1625),
        amrex::Real(1681), amrex::Real(1740), amrex::Real(1802),
        amrex::Real(1862), amrex::Real(1920), amrex::Real(2014),
        amrex::Real(2075), amrex::Real(2140), amrex::Real(2202),
        amrex::Real(2447), amrex::Real(2508), amrex::Real(2574),
        amrex::Real(2635), amrex::Real(2854), amrex::Real(2925),
        amrex::Real(3094), amrex::Real(3164.7), amrex::Real(5234),
        amrex::Real(5371), amrex::Real(5518), amrex::Real(5674),
        amrex::Real(5824), amrex::Real(5969), amrex::Real(6241),
        amrex::Real(6392), amrex::Real(6560), amrex::Real(6714),
        amrex::Real(7146), amrex::Real(7281), amrex::Real(7430),
        amrex::Real(7570), amrex::Real(8260), amrex::Real(8420),
        amrex::Real(8730), amrex::Real(8880), amrex::Real(19070),
        amrex::Real(19440), amrex::Real(19840), amrex::Real(20210),
        amrex::Real(22780), amrex::Real(23250), amrex::Real(23850),
        amrex::Real(24234.1), amrex::Real(96783.21), amrex::Real(98592.12),
        // Pb
        amrex::Real(7.4166799), amrex::Real(15.032499), amrex::Real(31.9373),
        amrex::Real(42.33256), amrex::Real(68.8), amrex::Real(82.9),
        amrex::Real(100.1), amrex::Real(120.0), amrex::Real(138.0),
        amrex::Real(158.0), amrex::Real(182.0), amrex::Real(203.0),
        amrex::Real(224), amrex::Real(245.1), amrex::Real(338.1),
        amrex::Real(374), amrex::Real(401), amrex::Real(427),
        amrex::Real(478), amrex::Real(507), amrex::Real(570),
        amrex::Real(610), amrex::Real(650), amrex::Real(690),
        amrex::Real(750), amrex::Real(810), amrex::Real(870),
        amrex::Real(930), amrex::Real(990), amrex::Real(1050),
        amrex::Real(1120), amrex::Real(1180), amrex::Real(1240),
        amrex::Real(1300), amrex::Real(1360), amrex::Real(1430),
        amrex::Real(1704), amrex::Real(1760), amrex::Real(1819),
        amrex::Real(1884), amrex::Real(1945), amrex::Real(2004),
        amrex::Real(2101), amrex::Real(2163), amrex::Real(2230),
        amrex::Real(2292), amrex::Real(2543), amrex::Real(2605),
        amrex::Real(2671), amrex::Real(2735), amrex::Real(2965),
        amrex::Real(3036), amrex::Real(3211), amrex::Real(3282.1),
        amrex::Real(5414), amrex::Real(5555), amrex::Real(5703),
        amrex::Real(5862), amrex::Real(6015), amrex::Real(6162),
        amrex::Real(6442), amrex::Real(6597), amrex::Real(6767),
        amrex::Real(6924), amrex::Real(7362), amrex::Real(7500),
        amrex::Real(7650), amrex::Real(7790), amrex::Real(8520),
        amrex::Real(8680), amrex::Real(9000), amrex::Real(9150),
        amrex::Real(19590), amrex::Real(19970), amrex::Real(20380),
        amrex::Real(20750), amrex::Real(23460), amrex::Real(23940),
        amrex::Real(24550), amrex::Real(24938.2), amrex::Real(99491.85),
        amrex::Real(101336.7),
        // Bi
        amrex::Real(7.285516), amrex::Real(16.703), amrex::Real(25.57075),
        amrex::Real(45.37), amrex::Real(54.856), amrex::Real(88.4),
        amrex::Real(103.0), amrex::Real(122.0), amrex::Real(143.0),
        amrex::Real(161.1), amrex::Real(183.0), amrex::Real(208.0),
        amrex::Real(229), amrex::Real(252), amrex::Real(272.6),
        amrex::Real(370.2), amrex::Real(409), amrex::Real(436),
        amrex::Real(464), amrex::Real(520), amrex::Real(550),
        amrex::Real(620), amrex::Real(660), amrex::Real(690),
        amrex::Real(750), amrex::Real(810), amrex::Real(870),
        amrex::Real(930), amrex::Real(990), amrex::Real(1060),
        amrex::Real(1120), amrex::Real(1180), amrex::Real(1250),
        amrex::Real(1310), amrex::Real(1380), amrex::Real(1440),
        amrex::Real(1500), amrex::Real(1784), amrex::Real(1840),
        amrex::Real(1902), amrex::Real(1967), amrex::Real(2029),
        amrex::Real(2090), amrex::Real(2190), amrex::Real(2253),
        amrex::Real(2321), amrex::Real(2385), amrex::Real(2641),
        amrex::Real(2703), amrex::Real(2771), amrex::Real(2835),
        amrex::Real(3078), amrex::Real(3151), amrex::Real(3329),
        amrex::Real(3401.8), amrex::Real(5599), amrex::Real(5740),
        amrex::Real(5892), amrex::Real(6054), amrex::Real(6208),
        amrex::Real(6358), amrex::Real(6648), amrex::Real(6804),
        amrex::Real(6977), amrex::Real(7137), amrex::Real(7580),
        amrex::Real(7720), amrex::Real(7870), amrex::Real(8010),
        amrex::Real(8780), amrex::Real(8950), amrex::Real(9270),
        amrex::Real(9430), amrex::Real(20130), amrex::Real(20500),
        amrex::Real(20920), amrex::Real(21300), amrex::Real(24150),
        amrex::Real(24640), amrex::Real(25260), amrex::Real(25656.9),
        amrex::Real(102251.76), amrex::Real(104133.4),
        // Po
        amrex::Real(8.418070), amrex::Real(19.3), amrex::Real(27.3),
        amrex::Real(36.0), amrex::Real(57.0), amrex::Real(69.1),
        amrex::Real(108.0), amrex::Real(125.0), amrex::Real(146.1),
        amrex::Real(166.0), amrex::Real(186.0), amrex::Real(209.0),
        amrex::Real(235), amrex::Real(257), amrex::Real(281),
        amrex::Real(304), amrex::Real(416), amrex::Real(444),
        amrex::Real(473), amrex::Real(502), amrex::Real(560),
        amrex::Real(590), amrex::Real(670), amrex::Real(700),
        amrex::Real(740), amrex::Real(800), amrex::Real(870),
        amrex::Real(930), amrex::Real(990), amrex::Real(1060),
        amrex::Real(1120), amrex::Real(1180), amrex::Real(1250),
        amrex::Real(1320), amrex::Real(1380), amrex::Real(1440),
        amrex::Real(1510), amrex::Real(1570), amrex::Real(1865),
        amrex::Real(1923), amrex::Real(1986), amrex::Real(2052),
        amrex::Real(2115), amrex::Real(2177), amrex::Real(2281),
        amrex::Real(2345), amrex::Real(2414), amrex::Real(2480),
        amrex::Real(2740), amrex::Real(2803), amrex::Real(2873),
        amrex::Real(2938), amrex::Real(3194), amrex::Real(3268),
        amrex::Real(3450), amrex::Real(3524.2), amrex::Real(5785),
        amrex::Real(5930), amrex::Real(6084), amrex::Real(6248),
        amrex::Real(6405), amrex::Real(6557), amrex::Real(6856),
        amrex::Real(7015), amrex::Real(7191), amrex::Real(7350),
        amrex::Real(7810), amrex::Real(7950), amrex::Real(8100),
        amrex::Real(8240), amrex::Real(9050), amrex::Real(9220),
        amrex::Real(9550), amrex::Real(9710), amrex::Real(20670),
        amrex::Real(21050), amrex::Real(21470), amrex::Real(21860),
        amrex::Real(24860), amrex::Real(25360), amrex::Real(25990),
        amrex::Real(26390.4), amrex::Real(105064.3), amrex::Real(106983.4),
        // At
        amrex::Real(9.31751), amrex::Real(17.880), amrex::Real(26.58),
        amrex::Real(39.65), amrex::Real(50.39), amrex::Real(72.0),
        amrex::Real(85.1), amrex::Real(130.1), amrex::Real(149.0),
        amrex::Real(169.0), amrex::Real(192.1), amrex::Real(212.0),
        amrex::Real(236), amrex::Real(263), amrex::Real(287),
        amrex::Real(311), amrex::Real(335), amrex::Real(452),
        amrex::Real(481), amrex::Real(510), amrex::Real(540),
        amrex::Real(600), amrex::Real(630), amrex::Real(720),
        amrex::Real(750), amrex::Real(790), amrex::Real(860),
        amrex::Real(920), amrex::Real(990), amrex::Real(1050),
        amrex::Real(1120), amrex::Real(1180), amrex::Real(1250),
        amrex::Real(1320), amrex::Real(1380), amrex::Real(1450),
        amrex::Real(1510), amrex::Real(1590), amrex::Real(1650),
        amrex::Real(1948), amrex::Real(2007), amrex::Real(2071),
        amrex::Real(2139), amrex::Real(2203), amrex::Real(2266),
        amrex::Real(2373), amrex::Real(2439), amrex::Real(2510),
        amrex::Real(2576), amrex::Real(2841), amrex::Real(2905),
        amrex::Real(2977), amrex::Real(3042), amrex::Real(3312),
        amrex::Real(3388), amrex::Real(3573), amrex::Real(3649),
        amrex::Real(5976), amrex::Real(6122), amrex::Real(6279),
        amrex::Real(6445), amrex::Real(6604), amrex::Real(6759),
        amrex::Real(7068), amrex::Real(7230), amrex::Real(7410),
        amrex::Real(7570), amrex::Real(8030), amrex::Real(8180),
        amrex::Real(8330), amrex::Real(8480), amrex::Real(9330),
        amrex::Real(9500), amrex::Real(9830), amrex::Real(9990),
        amrex::Real(21210), amrex::Real(21600), amrex::Real(22030),
        amrex::Real(22420), amrex::Real(25580), amrex::Real(26090),
        amrex::Real(26730), amrex::Real(27139.0), amrex::Real(107923.4),
        amrex::Real(109887.2),
        // Rn
        amrex::Real(10.74850), amrex::Real(21.4), amrex::Real(29.4),
        amrex::Real(36.9), amrex::Real(52.9), amrex::Real(64.0),
        amrex::Real(88.0), amrex::Real(102.0), amrex::Real(154.0),
        amrex::Real(173.9), amrex::Real(195.0), amrex::Real(218.0),
        amrex::Real(240), amrex::Real(264), amrex::Real(293),
        amrex::Real(317), amrex::Real(342), amrex::Real(367),
        amrex::Real(488), amrex::Real(520), amrex::Real(550),
        amrex::Real(580), amrex::Real(640), amrex::Real(680),
        amrex::Real(760), amrex::Real(800), amrex::Real(850),
        amrex::Real(920), amrex::Real(980), amrex::Real(1050),
        amrex::Real(1110), amrex::Real(1180), amrex::Real(1250),
        amrex::Real(1310), amrex::Real(1390), amrex::Real(1460),
        amrex::Real(1520), amrex::Real(1590), amrex::Real(1660),
        amrex::Real(1720), amrex::Real(2033), amrex::Real(2094),
        amrex::Real(2158), amrex::Real(2227), amrex::Real(2293),
        amrex::Real(2357), amrex::Real(2467), amrex::Real(2535),
        amrex::Real(2606), amrex::Real(2674), amrex::Real(2944),
        amrex::Real(3010), amrex::Real(3082), amrex::Real(3149),
        amrex::Real(3433), amrex::Real(3510), amrex::Real(3699),
        amrex::Real(3777), amrex::Real(6169), amrex::Real(6318),
        amrex::Real(6476), amrex::Real(6646), amrex::Real(6807),
        amrex::Real(6964), amrex::Real(7283), amrex::Real(7450),
        amrex::Real(7630), amrex::Real(7800), amrex::Real(8260),
        amrex::Real(8410), amrex::Real(8570), amrex::Real(8710),
        amrex::Real(9610), amrex::Real(9780), amrex::Real(10120),
        amrex::Real(10290), amrex::Real(21770), amrex::Real(22160),
        amrex::Real(22600), amrex::Real(22990), amrex::Real(26310),
        amrex::Real(26830), amrex::Real(27490), amrex::Real(27903.1),
        amrex::Real(110842.0), amrex::Real(112843.7),
        // Fr
        amrex::Real(4.0727411), amrex::Real(22.4), amrex::Real(33.5),
        amrex::Real(39.1), amrex::Real(50.0), amrex::Real(67.0),
        amrex::Real(80.0), amrex::Real(106.0), amrex::Real(120.0),
        amrex::Real(179.0), amrex::Real(200.0), amrex::Real(222.1),
        amrex::Real(245), amrex::Real(269), amrex::Real(293),
        amrex::Real(324), amrex::Real(349), amrex::Real(375),
        amrex::Real(400), amrex::Real(530), amrex::Real(560),
        amrex::Real(590), amrex::Real(620), amrex::Real(690),
        amrex::Real(720), amrex::Real(810), amrex::Real(850),
        amrex::Real(910), amrex::Real(980), amrex::Real(1040),
        amrex::Real(1110), amrex::Real(1180), amrex::Real(1250),
        amrex::Real(1320), amrex::Real(1380), amrex::Real(1460),
        amrex::Real(1530), amrex::Real(1600), amrex::Real(1670),
        amrex::Real(1740), amrex::Real(1810), amrex::Real(2119),
        amrex::Real(2182), amrex::Real(2247), amrex::Real(2317),
        amrex::Real(2384), amrex::Real(2450), amrex::Real(2564),
        amrex::Real(2631), amrex::Real(2706), amrex::Real(2774),
        amrex::Real(3049), amrex::Real(3115), amrex::Real(3190),
        amrex::Real(3257), amrex::Real(3556), amrex::Real(3635),
        amrex::Real(3828), amrex::Real(3907), amrex::Real(6365),
        amrex::Real(6516), amrex::Real(6678), amrex::Real(6849),
        amrex::Real(7013), amrex::Real(7172), amrex::Real(7500),
        amrex::Real(7670), amrex::Real(7850), amrex::Real(8020),
        amrex::Real(8500), amrex::Real(8640), amrex::Real(8800),
        amrex::Real(8950), amrex::Real(9890), amrex::Real(10070),
        amrex::Real(10420), amrex::Real(10590), amrex::Real(22330),
        amrex::Real(22730), amrex::Real(23170), amrex::Real(23570),
        amrex::Real(27060), amrex::Real(27590), amrex::Real(28260),
        amrex::Real(28683.4), amrex::Real(113817.2), amrex::Real(115857.5),
        // Ra
        amrex::Real(5.2784239), amrex::Real(10.14718), amrex::Real(31.0),
        amrex::Real(41.0), amrex::Real(52.9), amrex::Real(64.0),
        amrex::Real(82.0), amrex::Real(97.0), amrex::Real(124.0),
        amrex::Real(140.0), amrex::Real(204.9), amrex::Real(227.0),
        amrex::Real(250), amrex::Real(274), amrex::Real(299),
        amrex::Real(324), amrex::Real(356), amrex::Real(382),
        amrex::Real(409), amrex::Real(435), amrex::Real(570),
        amrex::Real(600), amrex::Real(630), amrex::Real(660),
        amrex::Real(740), amrex::Real(770), amrex::Real(860),
        amrex::Real(900), amrex::Real(970), amrex::Real(1040),
        amrex::Real(1110), amrex::Real(1180), amrex::Real(1250),
        amrex::Real(1320), amrex::Real(1390), amrex::Real(1460),
        amrex::Real(1530), amrex::Real(1610), amrex::Real(1680),
        amrex::Real(1750), amrex::Real(1820), amrex::Real(1880),
        amrex::Real(2208), amrex::Real(2271), amrex::Real(2338),
        amrex::Real(2409), amrex::Real(2477), amrex::Real(2544),
        amrex::Real(2662), amrex::Real(2731), amrex::Real(2806),
        amrex::Real(2876), amrex::Real(3155), amrex::Real(3224),
        amrex::Real(3298), amrex::Real(3368), amrex::Real(3682),
        amrex::Real(3762), amrex::Real(3959), amrex::Real(4040),
        amrex::Real(6565), amrex::Real(6718), amrex::Real(6881),
        amrex::Real(7056), amrex::Real(7222), amrex::Real(7380),
        amrex::Real(7720), amrex::Real(7890), amrex::Real(8080),
        amrex::Real(8250), amrex::Real(8730), amrex::Real(8880),
        amrex::Real(9040), amrex::Real(9200), amrex::Real(10190),
        amrex::Real(10360), amrex::Real(10720), amrex::Real(10890),
        amrex::Real(22900), amrex::Real(23300), amrex::Real(23750),
        amrex::Real(24160), amrex::Real(27830), amrex::Real(28370),
        amrex::Real(29050), amrex::Real(29479.8), amrex::Real(116848.7),
        amrex::Real(118929.5),
        // Ac
        amrex::Real(5.380235), amrex::Real(11.75), amrex::Real(17.436),
        amrex::Real(44.8), amrex::Real(55.0), amrex::Real(67.0),
        amrex::Real(79.0), amrex::Real(98.9), amrex::Real(113.9),
        amrex::Real(143.9), amrex::Real(161.1), amrex::Real(233.0),
        amrex::Real(255), amrex::Real(279), amrex::Real(305),
        amrex::Real(330), amrex::Real(355), amrex::Real(390),
        amrex::Real(416), amrex::Real(444), amrex::Real(470),
        amrex::Real(610), amrex::Real(640), amrex::Real(670),
        amrex::Real(710), amrex::Real(780), amrex::Real(820),
        amrex::Real(920), amrex::Real(950), amrex::Real(1030),
        amrex::Real(1100), amrex::Real(1170), amrex::Real(1240),
        amrex::Real(1310), amrex::Real(1380), amrex::Real(1460),
        amrex::Real(1530), amrex::Real(1610), amrex::Real(1680),
        amrex::Real(1750), amrex::Real(1820), amrex::Real(1900),
        amrex::Real(1970), amrex::Real(2298), amrex::Real(2362),
        amrex::Real(2430), amrex::Real(2503), amrex::Real(2572),
        amrex::Real(2639), amrex::Real(2762), amrex::Real(2833),
        amrex::Real(2908), amrex::Real(2980), amrex::Real(3264),
        amrex::Real(3334), amrex::Real(3409), amrex::Real(3479),
        amrex::Real(3811), amrex::Real(3893), amrex::Real(4093),
        amrex::Real(4175), amrex::Real(6767), amrex::Real(6923),
        amrex::Real(7088), amrex::Real(7265), amrex::Real(7430),
        amrex::Real(7600), amrex::Real(7950), amrex::Real(8120),
        amrex::Real(8310), amrex::Real(8480), amrex::Real(8970),
        amrex::Real(9120), amrex::Real(9290), amrex::Real(9440),
        amrex::Real(10480), amrex::Real(10660), amrex::Real(11030),
        amrex::Real(11200), amrex::Real(23480), amrex::Real(23890),
        amrex::Real(24340), amrex::Real(24760), amrex::Real(28610),
        amrex::Real(29160), amrex::Real(29850), amrex::Real(30293.1),
        amrex::Real(119938.6), amrex::Real(122063.1),
        // Th
        amrex::Real(6.30670), amrex::Real(12.10), amrex::Real(18.32),
        amrex::Real(28.648), amrex::Real(58.0), amrex::Real(69.1),
        amrex::Real(82.0), amrex::Real(95.0), amrex::Real(118.0),
        amrex::Real(133.0), amrex::Real(165.0), amrex::Real(181.0),
        amrex::Real(262), amrex::Real(285), amrex::Real(310),
        amrex::Real(336), amrex::Real(362), amrex::Real(389),
        amrex::Real(424), amrex::Real(451), amrex::Real(480),
        amrex::Real(508), amrex::Real(650), amrex::Real(680),
        amrex::Real(720), amrex::Real(750), amrex::Real(830),
        amrex::Real(870), amrex::Real(970), amrex::Real(1010),
        amrex::Real(1090), amrex::Real(1160), amrex::Real(1240),
        amrex::Real(1310), amrex::Real(1380), amrex::Real(1460),
        amrex::Real(1530), amrex::Real(1600), amrex::Real(1680),
        amrex::Real(1760), amrex::Real(1830), amrex::Real(1910),
        amrex::Real(1980), amrex::Real(2060), amrex::Real(2390),
        amrex::Real(2455), amrex::Real(2524), amrex::Real(2598),
        amrex::Real(2669), amrex::Real(2737), amrex::Real(2864),
        amrex::Real(2935), amrex::Real(3013), amrex::Real(3086),
        amrex::Real(3375), amrex::Real(3445), amrex::Real(3522),
        amrex::Real(3593), amrex::Real(3943), amrex::Real(4025),
        amrex::Real(4230), amrex::Real(4313), amrex::Real(6972),
        amrex::Real(7130), amrex::Real(7299), amrex::Real(7480),
        amrex::Real(7650), amrex::Real(7810), amrex::Real(8180),
        amrex::Real(8350), amrex::Real(8550), amrex::Real(8720),
        amrex::Real(9220), amrex::Real(9370), amrex::Real(9540),
        amrex::Real(9690), amrex::Real(10790), amrex::Real(10970),
        amrex::Real(11340), amrex::Real(11510), amrex::Real(24060),
        amrex::Real(24480), amrex::Real(24940), amrex::Real(25360),
        amrex::Real(29410), amrex::Real(29970), amrex::Real(30680),
        amrex::Real(31122.8), amrex::Real(123086.4), amrex::Real(125250.3),
        // Pa
        amrex::Real(5.89), amrex::Real(11.9), amrex::Real(18.6),
        amrex::Real(30.9), amrex::Real(44.3), amrex::Real(72.0),
        amrex::Real(85.1), amrex::Real(98.9), amrex::Real(111.0),
        amrex::Real(137.0), amrex::Real(153.0), amrex::Real(187.0),
        amrex::Real(203), amrex::Real(292), amrex::Real(316),
        amrex::Real(342), amrex::Real(369), amrex::Real(395),
        amrex::Real(423), amrex::Real(460), amrex::Real(488),
        amrex::Real(518), amrex::Real(546), amrex::Real(690),
        amrex::Real(720), amrex::Real(760), amrex::Real(790),
        amrex::Real(880), amrex::Real(920), amrex::Real(1020),
        amrex::Real(1060), amrex::Real(1150), amrex::Real(1220),
        amrex::Real(1300), amrex::Real(1370), amrex::Real(1450),
        amrex::Real(1520), amrex::Real(1600), amrex::Real(1670),
        amrex::Real(1760), amrex::Real(1830), amrex::Real(1910),
        amrex::Real(1980), amrex::Real(2060), amrex::Real(2130),
        amrex::Real(2483), amrex::Real(2550), amrex::Real(2620),
        amrex::Real(2696), amrex::Real(2766), amrex::Real(2837),
        amrex::Real(2968), amrex::Real(3040), amrex::Real(3119),
        amrex::Real(3193), amrex::Real(3488), amrex::Real(3558),
        amrex::Real(3637), amrex::Real(3709), amrex::Real(4077),
        amrex::Real(4161), amrex::Real(4370), amrex::Real(4454),
        amrex::Real(7181), amrex::Real(7341), amrex::Real(7510),
        amrex::Real(7690), amrex::Real(7870), amrex::Real(8040),
        amrex::Real(8410), amrex::Real(8590), amrex::Real(8780),
        amrex::Real(8960), amrex::Real(9460), amrex::Real(9620),
        amrex::Real(9790), amrex::Real(9950), amrex::Real(11100),
        amrex::Real(11290), amrex::Real(11660), amrex::Real(11840),
        amrex::Real(24660), amrex::Real(25080), amrex::Real(25540),
        amrex::Real(25970), amrex::Real(30230), amrex::Real(30800),
        amrex::Real(31520), amrex::Real(31971.6), amrex::Real(126296.6),
        amrex::Real(128507),
        // U
        amrex::Real(6.19405), amrex::Real(11.6), amrex::Real(19.8),
        amrex::Real(36.7), amrex::Real(46.0), amrex::Real(62.0),
        amrex::Real(89.0), amrex::Real(101.0), amrex::Real(116.0),
        amrex::Real(128.9), amrex::Real(158.0), amrex::Real(173.0),
        amrex::Real(210), amrex::Real(227), amrex::Real(323),
        amrex::Real(348), amrex::Real(375), amrex::Real(402),
        amrex::Real(431), amrex::Real(458), amrex::Real(497),
        amrex::Real(525), amrex::Real(557), amrex::Real(585),
        amrex::Real(730), amrex::Real(770), amrex::Real(800),
        amrex::Real(840), amrex::Real(930), amrex::Real(970),
        amrex::Real(1070), amrex::Real(1110), amrex::Real(1210),
        amrex::Real(1290), amrex::Real(1370), amrex::Real(1440),
        amrex::Real(1520), amrex::Real(1590), amrex::Real(1670),
        amrex::Real(1750), amrex::Real(1830), amrex::Real(1910),
        amrex::Real(1990), amrex::Real(2070), amrex::Real(2140),
        amrex::Real(2220), amrex::Real(2578), amrex::Real(2646),
        amrex::Real(2718), amrex::Real(2794), amrex::Real(2867),
        amrex::Real(2938), amrex::Real(3073), amrex::Real(3147),
        amrex::Real(3228), amrex::Real(3301), amrex::Real(3602),
        amrex::Real(3675), amrex::Real(3753), amrex::Real(3827),
        amrex::Real(4214), amrex::Real(4299), amrex::Real(4513),
        amrex::Real(4598), amrex::Real(7393), amrex::Real(7550),
        amrex::Real(7730), amrex::Real(7910), amrex::Real(8090),
        amrex::Real(8260), amrex::Real(8650), amrex::Real(8830),
        amrex::Real(9030), amrex::Real(9210), amrex::Real(9720),
        amrex::Real(9870), amrex::Real(10040), amrex::Real(10200),
        amrex::Real(11410), amrex::Real(11600), amrex::Real(11990),
        amrex::Real(12160), amrex::Real(25260), amrex::Real(25680),
        amrex::Real(26150), amrex::Real(26590), amrex::Real(31060),
        amrex::Real(31640), amrex::Real(32400), amrex::Real(32836.5),
        amrex::Real(129570.3), amrex::Real(131816.2),
        // Np
        amrex::Real(6.26554), amrex::Real(11.5), amrex::Real(19.7),
        amrex::Real(33.8), amrex::Real(48.0), amrex::Real(65.0),
        amrex::Real(92), amrex::Real(107), amrex::Real(121),
        amrex::Real(136), amrex::Real(151), amrex::Real(179.0),
        amrex::Real(196), amrex::Real(233), amrex::Real(252),
        amrex::Real(355), amrex::Real(382), amrex::Real(408),
        amrex::Real(438), amrex::Real(466), amrex::Real(495),
        amrex::Real(535), amrex::Real(565), amrex::Real(596),
        amrex::Real(626), amrex::Real(770), amrex::Real(810),
        amrex::Real(850), amrex::Real(880), amrex::Real(980),
        amrex::Real(1020), amrex::Real(1130), amrex::Real(1170),
        amrex::Real(1280), amrex::Real(1360), amrex::Real(1430),
        amrex::Real(1510), amrex::Real(1590), amrex::Real(1670),
        amrex::Real(1740), amrex::Real(1820), amrex::Real(1910),
        amrex::Real(1990), amrex::Real(2070), amrex::Real(2140),
        amrex::Real(2230), amrex::Real(2310), amrex::Real(2675),
        amrex::Real(2745), amrex::Real(2817), amrex::Real(2894),
        amrex::Real(2969), amrex::Real(3041), amrex::Real(3181),
        amrex::Real(3255), amrex::Real(3338), amrex::Real(3413),
        amrex::Real(3718), amrex::Real(3792), amrex::Real(3872),
        amrex::Real(3947), amrex::Real(4353), amrex::Real(4441),
        amrex::Real(4658), amrex::Real(4744), amrex::Real(7610),
        amrex::Real(7770), amrex::Real(7950), amrex::Real(8130),
        amrex::Real(8310), amrex::Real(8480), amrex::Real(8890),
        amrex::Real(9070), amrex::Real(9270), amrex::Real(9450),
        amrex::Real(9970), amrex::Real(10130), amrex::Real(10300),
        amrex::Real(10470), amrex::Real(11730), amrex::Real(11930),
        amrex::Real(12320), amrex::Real(12500), amrex::Real(25870),
        amrex::Real(26300), amrex::Real(26770), amrex::Real(27210),
        amrex::Real(31910), amrex::Real(32500), amrex::Real(33300),
        amrex::Real(33722.2), amrex::Real(132901.8), amrex::Real(135202),
        // Pu
        amrex::Real(6.02576), amrex::Real(11.5), amrex::Real(21.1),
        amrex::Real(35.0), amrex::Real(49.0), amrex::Real(80),
        amrex::Real(95), amrex::Real(109), amrex::Real(124),
        amrex::Real(139), amrex::Real(159), amrex::Real(179),
        amrex::Real(200), amrex::Real(219), amrex::Real(258),
        amrex::Real(278), amrex::Real(389), amrex::Real(416),
        amrex::Real(444), amrex::Real(474), amrex::Real(503),
        amrex::Real(532), amrex::Real(575), amrex::Real(605),
        amrex::Real(637), amrex::Real(668), amrex::Real(820),
        amrex::Real(850), amrex::Real(890), amrex::Real(930),
        amrex::Real(1030), amrex::Real(1070), amrex::Real(1180),
        amrex::Real(1220), amrex::Real(1340), amrex::Real(1420),
        amrex::Real(1500), amrex::Real(1580), amrex::Real(1660),
        amrex::Real(1740), amrex::Real(1820), amrex::Real(1890),
        amrex::Real(1990), amrex::Real(2070), amrex::Real(2150),
        amrex::Real(2230), amrex::Real(2310), amrex::Real(2390),
        amrex::Real(2774), amrex::Real(2844), amrex::Real(2918),
        amrex::Real(2997), amrex::Real(3072), amrex::Real(3146),
        amrex::Real(3290), amrex::Real(3366), amrex::Real(3449),
        amrex::Real(3527), amrex::Real(3836), amrex::Real(3911),
        amrex::Real(3993), amrex::Real(4068), amrex::Real(4496),
        amrex::Real(4585), amrex::Real(4807), amrex::Real(4890),
        amrex::Real(7830), amrex::Real(7990), amrex::Real(8170),
        amrex::Real(8360), amrex::Real(8540), amrex::Real(8710),
        amrex::Real(9130), amrex::Real(9310), amrex::Real(9520),
        amrex::Real(9700), amrex::Real(10230), amrex::Real(10390),
        amrex::Real(10570), amrex::Real(10730), amrex::Real(12060),
        amrex::Real(12260), amrex::Real(12660), amrex::Real(12840),
        amrex::Real(26480), amrex::Real(26920), amrex::Real(27400),
        amrex::Real(27840), amrex::Real(32800), amrex::Real(33400),
        amrex::Real(34100), amrex::Real(34625.8), amrex::Real(136299.2),
        amrex::Real(138640.2),
        // Am
        amrex::Real(5.97381), amrex::Real(11.7), amrex::Real(21.7),
        amrex::Real(36.8), amrex::Real(50.0), amrex::Real(67.9),
        amrex::Real(95), amrex::Real(110), amrex::Real(125),
        amrex::Real(141), amrex::Real(163), amrex::Real(184),
        amrex::Real(206), amrex::Real(225), amrex::Real(242),
        amrex::Real(284), amrex::Real(305), amrex::Real(424),
        amrex::Real(451), amrex::Real(481), amrex::Real(511),
        amrex::Real(541), amrex::Real(571), amrex::Real(616),
        amrex::Real(646), amrex::Real(680), amrex::Real(711),
        amrex::Real(870), amrex::Real(900), amrex::Real(940),
        amrex::Real(980), amrex::Real(1090), amrex::Real(1130),
        amrex::Real(1240), amrex::Real(1280), amrex::Real(1410),
        amrex::Real(1490), amrex::Real(1570), amrex::Real(1650),
        amrex::Real(1730), amrex::Real(1820), amrex::Real(1900),
        amrex::Real(1980), amrex::Real(2070), amrex::Real(2160),
        amrex::Real(2240), amrex::Real(2320), amrex::Real(2410),
        amrex::Real(2480), amrex::Real(2874), amrex::Real(2946),
        amrex::Real(3021), amrex::Real(3101), amrex::Real(3178),
        amrex::Real(3251), amrex::Real(3402), amrex::Real(3479),
        amrex::Real(3563), amrex::Real(3641), amrex::Real(3956),
        amrex::Real(4033), amrex::Real(4115), amrex::Real(4191),
        amrex::Real(4642), amrex::Real(4733), amrex::Real(4960),
        amrex::Real(5050), amrex::Real(8040), amrex::Real(8210),
        amrex::Real(8390), amrex::Real(8590), amrex::Real(8770),
        amrex::Real(8950), amrex::Real(9380), amrex::Real(9560),
        amrex::Real(9770), amrex::Real(9960), amrex::Real(10490),
        amrex::Real(10650), amrex::Real(10830), amrex::Real(11000),
        amrex::Real(12400), amrex::Real(12600), amrex::Real(13000),
        amrex::Real(13190), amrex::Real(27110), amrex::Real(27550),
        amrex::Real(28040), amrex::Real(28500), amrex::Real(33700),
        amrex::Real(34300), amrex::Real(35100), amrex::Real(35549.4),
        amrex::Real(139769.5), amrex::Real(142153.5),
        // Cm
        amrex::Real(5.99141), amrex::Real(12.4), amrex::Real(20.1),
        amrex::Real(37.7), amrex::Real(51.0), amrex::Real(69.1),
        amrex::Real(97), amrex::Real(112), amrex::Real(128),
        amrex::Real(144), amrex::Real(167), amrex::Real(190),
        amrex::Real(213), amrex::Real(235), amrex::Real(253),
        amrex::Real(272), amrex::Real(311), amrex::Real(332),
        amrex::Real(460), amrex::Real(489), amrex::Real(518),
        amrex::Real(550), amrex::Real(580), amrex::Real(611),
        amrex::Real(657), amrex::Real(689), amrex::Real(723),
        amrex::Real(755), amrex::Real(910), amrex::Real(950),
        amrex::Real(990), amrex::Real(1030), amrex::Real(1140),
        amrex::Real(1180), amrex::Real(1300), amrex::Real(1340),
        amrex::Real(1480), amrex::Real(1560), amrex::Real(1650),
        amrex::Real(1730), amrex::Real(1810), amrex::Real(1890),
        amrex::Real(1980), amrex::Real(2060), amrex::Real(2160),
        amrex::Real(2240), amrex::Real(2320), amrex::Real(2410),
        amrex::Real(2490), amrex::Real(2580), amrex::Real(2976),
        amrex::Real(3050), amrex::Real(3125), amrex::Real(3207),
        amrex::Real(3284), amrex::Real(3360), amrex::Real(3515),
        amrex::Real(3593), amrex::Real(3679), amrex::Real(3758),
        amrex::Real(4078), amrex::Real(4156), amrex::Real(4239),
        amrex::Real(4317), amrex::Real(4791), amrex::Real(4880),
        amrex::Real(5110), amrex::Real(5200), amrex::Real(8270),
        amrex::Real(8440), amrex::Real(8620), amrex::Real(8820),
        amrex::Real(9000), amrex::Real(9180), amrex::Real(9630),
        amrex::Real(9820), amrex::Real(10020), amrex::Real(10220),
        amrex::Real(10760), amrex::Real(10920), amrex::Real(11100),
        amrex::Real(11270), amrex::Real(12740), amrex::Real(12950),
        amrex::Real(13350), amrex::Real(13550), amrex::Real(27740),
        amrex::Real(28180), amrex::Real(28700), amrex::Real(29100),
        amrex::Real(34600), amrex::Real(35200), amrex::Real(36000),
        amrex::Real(36493.0), amrex::Real(143299.6), amrex::Real(145740.1),
        // Bk
        amrex::Real(6.19785), amrex::Real(11.9), amrex::Real(21.6),
        amrex::Real(36.0), amrex::Real(56.0), amrex::Real(70.1),
        amrex::Real(90.0), amrex::Real(114), amrex::Real(130),
        amrex::Real(147), amrex::Real(171), amrex::Real(195),
        amrex::Real(218), amrex::Real(240), amrex::Real(259),
        amrex::Real(279), amrex::Real(303), amrex::Real(339),
        amrex::Real(361), amrex::Real(497), amrex::Real(526),
        amrex::Real(557), amrex::Real(590), amrex::Real(621),
        amrex::Real(652), amrex::Real(700), amrex::Real(733),
        amrex::Real(768), amrex::Real(800), amrex::Real(960),
        amrex::Real(1000), amrex::Real(1040), amrex::Real(1080),
        amrex::Real(1200), amrex::Real(1240), amrex::Real(1360),
        amrex::Real(1410), amrex::Real(1550), amrex::Real(1630),
        amrex::Real(1720), amrex::Real(1800), amrex::Real(1890),
        amrex::Real(1970), amrex::Real(2050), amrex::Real(2140),
        amrex::Real(2240), amrex::Real(2320), amrex::Real(2410),
        amrex::Real(2490), amrex::Real(2580), amrex::Real(2670),
        amrex::Real(3080), amrex::Real(3154), amrex::Real(3232),
        amrex::Real(3315), amrex::Real(3393), amrex::Real(3469),
        amrex::Real(3630), amrex::Real(3709), amrex::Real(3797),
        amrex::Real(3877), amrex::Real(4202), amrex::Real(4281),
        amrex::Real(4365), amrex::Real(4445), amrex::Real(4940),
        amrex::Real(5040), amrex::Real(5270), amrex::Real(5360),
        amrex::Real(8500), amrex::Real(8670), amrex::Real(8850),
        amrex::Real(9050), amrex::Real(9240), amrex::Real(9420),
        amrex::Real(9880), amrex::Real(10070), amrex::Real(10280),
        amrex::Real(10480), amrex::Real(11020), amrex::Real(11190),
        amrex::Real(11380), amrex::Real(11550), amrex::Real(13090),
        amrex::Real(13300), amrex::Real(13720), amrex::Real(13910),
        amrex::Real(28380), amrex::Real(28800), amrex::Real(29300),
        amrex::Real(29800), amrex::Real(35500), amrex::Real(36200),
        amrex::Real(37000), amrex::Real(37457.6), amrex::Real(146904.7),
        amrex::Real(149398),
        // Cf
        amrex::Real(6.281878), amrex::Real(12.0), amrex::Real(22.4),
        amrex::Real(37.7), amrex::Real(51.9), amrex::Real(75.0),
        amrex::Real(91.0), amrex::Real(112.9), amrex::Real(133),
        amrex::Real(152), amrex::Real(178), amrex::Real(201),
        amrex::Real(225), amrex::Real(247), amrex::Real(265),
        amrex::Real(286), amrex::Real(310), amrex::Real(334),
        amrex::Real(368), amrex::Real(390), amrex::Real(536),
        amrex::Real(566), amrex::Real(597), amrex::Real(630),
        amrex::Real(662), amrex::Real(695), amrex::Real(744),
        amrex::Real(778), amrex::Real(814), amrex::Real(847),
        amrex::Real(1010), amrex::Real(1050), amrex::Real(1090),
        amrex::Real(1120), amrex::Real(1250), amrex::Real(1300),
        amrex::Real(1420), amrex::Real(1470), amrex::Real(1620),
        amrex::Real(1700), amrex::Real(1790), amrex::Real(1880),
        amrex::Real(1960), amrex::Real(2050), amrex::Real(2130),
        amrex::Real(2220), amrex::Real(2320), amrex::Real(2410),
        amrex::Real(2490), amrex::Real(2580), amrex::Real(2670),
        amrex::Real(2750), amrex::Real(3186), amrex::Real(3261),
        amrex::Real(3340), amrex::Real(3424), amrex::Real(3503),
        amrex::Real(3581), amrex::Real(3747), amrex::Real(3828),
        amrex::Real(3915), amrex::Real(3998), amrex::Real(4329),
        amrex::Real(4407), amrex::Real(4494), amrex::Real(4570),
        amrex::Real(5100), amrex::Real(5190), amrex::Real(5430),
        amrex::Real(5520), amrex::Real(8730), amrex::Real(8900),
        amrex::Real(9090), amrex::Real(9290), amrex::Real(9480),
        amrex::Real(9660), amrex::Real(10140), amrex::Real(10330),
        amrex::Real(10550), amrex::Real(10740), amrex::Real(11300),
        amrex::Real(11470), amrex::Real(11650), amrex::Real(11820),
        amrex::Real(13450), amrex::Real(13660), amrex::Real(14080),
        amrex::Real(14280), amrex::Real(29000), amrex::Real(29500),
        amrex::Real(30000), amrex::Real(30500), amrex::Real(36500),
        amrex::Real(37100), amrex::Real(37900), amrex::Real(38443.5),
        amrex::Real(150579.3), amrex::Real(153124),
        // Es
        amrex::Real(6.36758), amrex::Real(12.2), amrex::Real(22.7),
        amrex::Real(38.8), amrex::Real(54.1), amrex::Real(71.0),
        amrex::Real(97.0), amrex::Real(112.9), amrex::Real(137.0),
        amrex::Real(157), amrex::Real(180), amrex::Real(206),
        amrex::Real(231), amrex::Real(252), amrex::Real(270),
        amrex::Real(294), amrex::Real(317), amrex::Real(342),
        amrex::Real(367), amrex::Real(398), amrex::Real(421),
        amrex::Real(576), amrex::Real(606), amrex::Real(638),
        amrex::Real(672), amrex::Real(705), amrex::Real(738),
        amrex::Real(790), amrex::Real(824), amrex::Real(861),
        amrex::Real(895), amrex::Real(1060), amrex::Real(1100),
        amrex::Real(1140), amrex::Real(1180), amrex::Real(1310),
        amrex::Real(1360), amrex::Real(1480), amrex::Real(1530),
        amrex::Real(1690), amrex::Real(1780), amrex::Real(1870),
        amrex::Real(1950), amrex::Real(2040), amrex::Real(2130),
        amrex::Real(2220), amrex::Real(2300), amrex::Real(2410),
        amrex::Real(2490), amrex::Real(2580), amrex::Real(2680),
        amrex::Real(2760), amrex::Real(2850), amrex::Real(3294),
        amrex::Real(3370), amrex::Real(3449), amrex::Real(3535),
        amrex::Real(3616), amrex::Real(3694), amrex::Real(3866),
        amrex::Real(3947), amrex::Real(4038), amrex::Real(4120),
        amrex::Real(4456), amrex::Real(4537), amrex::Real(4620),
        amrex::Real(4700), amrex::Real(5260), amrex::Real(5350),
        amrex::Real(5600), amrex::Real(5690), amrex::Real(8960),
        amrex::Real(9140), amrex::Real(9330), amrex::Real(9530),
        amrex::Real(9720), amrex::Real(9910), amrex::Real(10400),
        amrex::Real(10590), amrex::Real(10810), amrex::Real(11010),
        amrex::Real(11570), amrex::Real(11740), amrex::Real(11930),
        amrex::Real(12110), amrex::Real(13810), amrex::Real(14030),
        amrex::Real(14460), amrex::Real(14700), amrex::Real(29700),
        amrex::Real(30100), amrex::Real(30700), amrex::Real(31100),
        amrex::Real(37400), amrex::Real(38100), amrex::Real(38900),
        amrex::Real(39451.4), amrex::Real(154328.1), amrex::Real(156927),
        // Fm
        amrex::Real(6.50), amrex::Real(12.4), amrex::Real(23.2),
        amrex::Real(39.3), amrex::Real(55.0), amrex::Real(74.0),
        amrex::Real(93.0), amrex::Real(120.0), amrex::Real(136.0),
        amrex::Real(162.0), amrex::Real(185), amrex::Real(209),
        amrex::Real(237), amrex::Real(257), amrex::Real(276),
        amrex::Real(300), amrex::Real(326), amrex::Real(351),
        amrex::Real(377), amrex::Real(402), amrex::Real(430),
        amrex::Real(453), amrex::Real(616), amrex::Real(647),
        amrex::Real(680), amrex::Real(716), amrex::Real(749),
        amrex::Real(782), amrex::Real(837), amrex::Real(871),
        amrex::Real(909), amrex::Real(944), amrex::Real(1110),
        amrex::Real(1150), amrex::Real(1190), amrex::Real(1230),
        amrex::Real(1370), amrex::Real(1420), amrex::Real(1550),
        amrex::Real(1600), amrex::Real(1770), amrex::Real(1850),
        amrex::Real(1940), amrex::Real(2030), amrex::Real(2120),
        amrex::Real(2210), amrex::Real(2300), amrex::Real(2390),
        amrex::Real(2490), amrex::Real(2590), amrex::Real(2680),
        amrex::Real(2760), amrex::Real(2850), amrex::Real(2950),
        amrex::Real(3403), amrex::Real(3480), amrex::Real(3561),
        amrex::Real(3647), amrex::Real(3730), amrex::Real(3810),
        amrex::Real(3986), amrex::Real(4070), amrex::Real(4160),
        amrex::Real(4245), amrex::Real(4586), amrex::Real(4670),
        amrex::Real(4760), amrex::Real(4840), amrex::Real(5420),
        amrex::Real(5510), amrex::Real(5760), amrex::Real(5860),
        amrex::Real(9200), amrex::Real(9370), amrex::Real(9570),
        amrex::Real(9770), amrex::Real(9970), amrex::Real(10160),
        amrex::Real(10660), amrex::Real(10860), amrex::Real(11080),
        amrex::Real(11280), amrex::Real(11850), amrex::Real(12020),
        amrex::Real(12220), amrex::Real(12390), amrex::Real(14180),
        amrex::Real(14400), amrex::Real(14800), amrex::Real(15000),
        amrex::Real(30300), amrex::Real(30800), amrex::Real(31300),
        amrex::Real(31800), amrex::Real(38400), amrex::Real(39100),
        amrex::Real(40000), amrex::Real(40482.2), amrex::Real(158152.5),
        amrex::Real(160808)
    };

}

constexpr int correction_factors_length = 4;
// a1, a2, a3, Ecrit from Zhang et al., PRA 90, 043410 (2014).
constexpr amrex::Real table_correction_factors[correction_factors_length]{
    // H
    amrex::Real(0.11714), amrex::Real(-0.90933), amrex::Real(-0.06034), amrex::Real(32125000000.)
};

#endif // #ifndef WARPX_UTILS_PHYSICS_IONIZATION_TABLE_H_
